/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.gbr.platform.land;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>AardvarkJSFUJointServiceFlailUnitMk4</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>AardvarkJSFUJointServiceFlailUnitMk4.createInstance()</code> or <code>new AardvarkJSFUJointServiceFlailUnitMk4()</code>. </p>
 * <ul>
 *     <li> Country: United Kingdom of Great Britain and Northern Ireland (GBR) = <code>224</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>LAND</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Mine Flail = <code>41</code>; </li>
 *     <li> SubCategory: MineClearanceFlailVehicle  = <code>2</code>; </li>
 *     <li> Specific: AardvarkJSFUJointServiceFlailUnitMk4  = <code>1</code>; </li>
 *     <li> Entity type uid: 34587; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v31 (2022-10-08)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@2db33feb. </p>
 * @see Country#UNITED_KINGDOM_OF_GREAT_BRITAIN_AND_NORTHERN_IRELAND_GBR
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see MineFlail
 * @see SubCategory

 */
public final class AardvarkJSFUJointServiceFlailUnitMk4 extends EntityType
{
    /** Default constructor */
    public AardvarkJSFUJointServiceFlailUnitMk4()
    {
        setCountry(Country.UNITED_KINGDOM_OF_GREAT_BRITAIN_AND_NORTHERN_IRELAND_GBR);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.LAND));

        setCategory((byte)41); // uid 34585, Mine Flail
        setSubCategory((byte)2); // uid 34586, Mine Clearance Flail Vehicle
        setSpecific((byte)1); // uid 34587, Aardvark JSFU (Joint Service Flail Unit) Mk. 4
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static AardvarkJSFUJointServiceFlailUnitMk4 createInstance()
    {
            return new AardvarkJSFUJointServiceFlailUnitMk4();
    }
}
