/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template disenumpart1.txt

package edu.nps.moves.dis7.enumerations;

import java.nio.ByteBuffer;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import edu.nps.moves.dis7.pdus.*;

/**
 * This <code>enum</code> type is generated from XML,
 *  UID 75,
 * marshal size 16;
 * EmitterName has 2566 enumerations total.
 * @see <a href="https://docs.oracle.com/javase/tutorial/java/javaOO/enum.html">Java Tutorials: Enum Types</a>
 * @see java.lang.Enum
 */
public enum EmitterNameAdditional 
{
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Signaal STING */
    // autogenerated using string template disenumpart2.txt
    COMMID_SIGNAAL_STING (28710, "COMMID_Signaal STING"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Signaal STIR */
    // autogenerated using string template disenumpart2.txt
    COMMID_SIGNAAL_STIR (28755, "COMMID_Signaal STIR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Signaal STIR 1.8M */
    // autogenerated using string template disenumpart2.txt
    COMMID_SIGNAAL_STIR_18M (28760, "COMMID_Signaal STIR 1.8M"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Signaal STIR 24M */
    // autogenerated using string template disenumpart2.txt
    COMMID_SIGNAAL_STIR_24M (28770, "COMMID_Signaal STIR 24M"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Signaal WM 20/2 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SIGNAAL_WM_20_2 (28800, "COMMID_Signaal WM 20/2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Signaal WM 25 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SIGNAAL_WM_25 (28845, "COMMID_Signaal WM 25"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Signaal WM 27 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SIGNAAL_WM_27 (28890, "COMMID_Signaal WM 27"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Signaal WM 28 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SIGNAAL_WM_28 (28935, "COMMID_Signaal WM 28"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Signaal ZW 01 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SIGNAAL_ZW_01 (28980, "COMMID_Signaal ZW 01"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Signaal ZW 06 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SIGNAAL_ZW_06 (29025, "COMMID_Signaal ZW 06"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Signaal ZW 07 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SIGNAAL_ZW_07 (29030, "COMMID_Signaal ZW 07"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Signaal ZW 0800 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SIGNAAL_ZW_0800 (29035, "COMMID_Signaal ZW 0800"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SIMRAD 3G */
    // autogenerated using string template disenumpart2.txt
    SIMRAD_3G (29043, "SIMRAD 3G"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SIMRAD 4G */
    // autogenerated using string template disenumpart2.txt
    SIMRAD_4G (29045, "SIMRAD 4G"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Simrad CA54 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SIMRAD_CA54 (29050, "COMMID_Simrad CA54"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SIMRAD Halo-6 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SIMRAD_HALO_6 (29060, "COMMID_SIMRAD Halo-6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Ski Pole */
    // autogenerated using string template disenumpart2.txt
    NATOID_SKI_POLE (29070, "NATOID_Ski Pole"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Skin Head */
    // autogenerated using string template disenumpart2.txt
    NATOID_SKIN_HEAD (29115, "NATOID_Skin Head"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Skip Spin */
    // autogenerated using string template disenumpart2.txt
    NATOID_SKIP_SPIN (29160, "NATOID_Skip Spin"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SKYFENDER */
    // autogenerated using string template disenumpart2.txt
    SKYFENDER (29172, "SKYFENDER"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Sky Wave (Over The Horizon) */
    // autogenerated using string template disenumpart2.txt
    SKY_WAVE_OVER_THE_HORIZON (29175, "Sky Wave (Over The Horizon)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Skyguard B */
    // autogenerated using string template disenumpart2.txt
    SKYGUARD_B (29180, "Skyguard B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SKYGUARD TA */
    // autogenerated using string template disenumpart2.txt
    SKYGUARD_TA (29185, "SKYGUARD TA"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SKYGUARD TT */
    // autogenerated using string template disenumpart2.txt
    SKYGUARD_TT (29190, "SKYGUARD TT"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Skyguard LR */
    // autogenerated using string template disenumpart2.txt
    SKYGUARD_LR (29191, "Skyguard LR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Skymaster */
    // autogenerated using string template disenumpart2.txt
    SKYMASTER (29200, "Skymaster"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Sky Watch */
    // autogenerated using string template disenumpart2.txt
    NATOID_SKY_WATCH (29205, "NATOID_Sky Watch"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Sky Ranger */
    // autogenerated using string template disenumpart2.txt
    SKY_RANGER (29210, "Sky Ranger"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SKYSHADOW */
    // autogenerated using string template disenumpart2.txt
    COMMID_SKYSHADOW (29215, "COMMID_SKYSHADOW"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SKYSHIELD TA */
    // autogenerated using string template disenumpart2.txt
    SKYSHIELD_TA (29220, "SKYSHIELD TA"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SL */
    // autogenerated using string template disenumpart2.txt
    SL (29250, "SL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SL/ALQ-234 */
    // autogenerated using string template disenumpart2.txt
    SL_ALQ_234 (29270, "SL/ALQ-234"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Slap Shot */
    // autogenerated using string template disenumpart2.txt
    NATOID_SLAP_SHOT (29295, "NATOID_Slap Shot"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Slap Shot G */
    // autogenerated using string template disenumpart2.txt
    NATOID_SLAP_SHOT_G (29297, "NATOID_Slap Shot G"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SLC-2 */
    // autogenerated using string template disenumpart2.txt
    SLC_2 (29300, "SLC-2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SLC-2E */
    // autogenerated using string template disenumpart2.txt
    SLC_2E (29301, "SLC-2E"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SLC-4 */
    // autogenerated using string template disenumpart2.txt
    SLC_4 (29305, "SLC-4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Slim Net */
    // autogenerated using string template disenumpart2.txt
    NATOID_SLIM_NET (29340, "NATOID_Slim Net"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Slot Back A */
    // autogenerated using string template disenumpart2.txt
    NATOID_SLOT_BACK_A (29385, "NATOID_Slot Back A"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Slot Back ILL */
    // autogenerated using string template disenumpart2.txt
    NATOID_SLOT_BACK_ILL (29400, "NATOID_Slot Back ILL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Slot Back B */
    // autogenerated using string template disenumpart2.txt
    NATOID_SLOT_BACK_B (29430, "NATOID_Slot Back B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Slot Back IV */
    // autogenerated using string template disenumpart2.txt
    NATOID_SLOT_BACK_IV (29431, "NATOID_Slot Back IV"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Slot Back B Topaz */
    // autogenerated using string template disenumpart2.txt
    NATOID_SLOT_BACK_B_TOPAZ (29432, "NATOID_Slot Back B Topaz"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Slot Back E */
    // autogenerated using string template disenumpart2.txt
    NATOID_SLOT_BACK_E (29433, "NATOID_Slot Back E"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Slot Back G */
    // autogenerated using string template disenumpart2.txt
    NATOID_SLOT_BACK_G (29434, "NATOID_Slot Back G"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Slot Back VI */
    // autogenerated using string template disenumpart2.txt
    NATOID_SLOT_BACK_VI (29435, "NATOID_Slot Back VI"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Slot Rest */
    // autogenerated using string template disenumpart2.txt
    NATOID_SLOT_REST (29440, "NATOID_Slot Rest"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SM-674A/UPM */
    // autogenerated using string template disenumpart2.txt
    SM_674A_UPM (29450, "SM-674A/UPM"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SMA 3 RM */
    // autogenerated using string template disenumpart2.txt
    COMMID_SMA_3_RM (29475, "COMMID_SMA 3 RM"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SMA 3 RM 20 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SMA_3_RM_20 (29520, "COMMID_SMA 3 RM 20"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SMA 3RM 20A/SMG */
    // autogenerated using string template disenumpart2.txt
    COMMID_SMA_3RM_20A_SMG (29565, "COMMID_SMA 3RM 20A/SMG"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SMA BPS 704 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SMA_BPS_704 (29610, "COMMID_SMA BPS 704"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SMA SPIN 749 (V) 2 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SMA_SPIN_749_V_2 (29655, "COMMID_SMA SPIN 749 (V) 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SMA SPN 703 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SMA_SPN_703 (29700, "COMMID_SMA SPN 703"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SMA SPN 751 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SMA_SPN_751 (29745, "COMMID_SMA SPN 751"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SMA SPOS 748 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SMA_SPOS_748 (29790, "COMMID_SMA SPOS 748"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SMA SPQ 2 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SMA_SPQ_2 (29835, "COMMID_SMA SPQ 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SMA SPQ 2D */
    // autogenerated using string template disenumpart2.txt
    COMMID_SMA_SPQ_2D (29880, "COMMID_SMA SPQ 2D"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SMA SPQ 701 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SMA_SPQ_701 (29925, "COMMID_SMA SPQ 701"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SMA SPS 702 UPX */
    // autogenerated using string template disenumpart2.txt
    COMMID_SMA_SPS_702_UPX (29970, "COMMID_SMA SPS 702 UPX"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SMA ST 2 OTOMAT II MH */
    // autogenerated using string template disenumpart2.txt
    COMMID_SMA_ST_2_OTOMAT_II_MH (30015, "COMMID_SMA ST 2 OTOMAT II MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SR-47A */
    // autogenerated using string template disenumpart2.txt
    SR_47A (30016, "SR-47A"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SMA 718 Beacon */
    // autogenerated using string template disenumpart2.txt
    COMMID_SMA_718_BEACON (30060, "COMMID_SMA 718 Beacon"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Small Fred */
    // autogenerated using string template disenumpart2.txt
    NATOID_SMALL_FRED (30065, "NATOID_Small Fred"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SMART-S */
    // autogenerated using string template disenumpart2.txt
    SMART_S (30068, "SMART-S"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SMART-S Mk2 */
    // autogenerated using string template disenumpart2.txt
    SMART_S_MK2 (30069, "SMART-S Mk2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SMART-L */
    // autogenerated using string template disenumpart2.txt
    SMART_L (30070, "SMART-L"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SM-932 */
    // autogenerated using string template disenumpart2.txt
    SM_932 (30072, "SM-932"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Smog Lamp */
    // autogenerated using string template disenumpart2.txt
    NATOID_SMOG_LAMP (30075, "NATOID_Smog Lamp"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Snap Shot */
    // autogenerated using string template disenumpart2.txt
    NATOID_SNAP_SHOT (30080, "NATOID_Snap Shot"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Snoop Drift */
    // autogenerated using string template disenumpart2.txt
    NATOID_SNOOP_DRIFT (30105, "NATOID_Snoop Drift"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Snoop Half */
    // autogenerated using string template disenumpart2.txt
    NATOID_SNOOP_HALF (30140, "NATOID_Snoop Half"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Snoop Head */
    // autogenerated using string template disenumpart2.txt
    NATOID_SNOOP_HEAD (30150, "NATOID_Snoop Head"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Snoop Pair */
    // autogenerated using string template disenumpart2.txt
    NATOID_SNOOP_PAIR (30195, "NATOID_Snoop Pair"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Snoop Ping */
    // autogenerated using string template disenumpart2.txt
    NATOID_SNOOP_PING (30200, "NATOID_Snoop Ping"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Snoop Plate */
    // autogenerated using string template disenumpart2.txt
    NATOID_SNOOP_PLATE (30240, "NATOID_Snoop Plate"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Snoop Ping */
    // autogenerated using string template disenumpart2.txt
    NATOID_SNOOP_PING_2 (30255, "NATOID_Snoop Ping"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Snoop Slab */
    // autogenerated using string template disenumpart2.txt
    NATOID_SNOOP_SLAB (30285, "NATOID_Snoop Slab"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Snoop Tray */
    // autogenerated using string template disenumpart2.txt
    NATOID_SNOOP_TRAY (30330, "NATOID_Snoop Tray"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Snoop Tray 1 */
    // autogenerated using string template disenumpart2.txt
    NATOID_SNOOP_TRAY_1 (30375, "NATOID_Snoop Tray 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Snoop Tray 2 */
    // autogenerated using string template disenumpart2.txt
    NATOID_SNOOP_TRAY_2 (30420, "NATOID_Snoop Tray 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SNOOP TRAY 3 */
    // autogenerated using string template disenumpart2.txt
    NATOID_SNOOP_TRAY_3 (30421, "NATOID_SNOOP TRAY 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Snoop Watch */
    // autogenerated using string template disenumpart2.txt
    NATOID_SNOOP_WATCH (30465, "NATOID_Snoop Watch"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9S18M1 */
    // autogenerated using string template disenumpart2.txt
    _9S18M1 (30470, "9S18M1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9S18M1E */
    // autogenerated using string template disenumpart2.txt
    _9S18M1E (30471, "9S18M1E"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPB-7 */
    // autogenerated using string template disenumpart2.txt
    SPB_7 (30475, "SPB-7"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Snow Drop */
    // autogenerated using string template disenumpart2.txt
    NATOID_SNOW_DROP (30480, "NATOID_Snow Drop"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SNW-10 */
    // autogenerated using string template disenumpart2.txt
    SNW_10 (30490, "SNW-10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SO-1 */
    // autogenerated using string template disenumpart2.txt
    SO_1 (30510, "SO-1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SO-12 */
    // autogenerated using string template disenumpart2.txt
    SO_12 (30520, "SO-12"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SO A Communist */
    // autogenerated using string template disenumpart2.txt
    SO_A_COMMUNIST (30555, "SO A Communist"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SO-69 */
    // autogenerated using string template disenumpart2.txt
    SO_69 (30580, "SO-69"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Sock Eye */
    // autogenerated using string template disenumpart2.txt
    NATOID_SOCK_EYE (30600, "NATOID_Sock Eye"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SOM 64 */
    // autogenerated using string template disenumpart2.txt
    SOM_64 (30645, "SOM 64"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Sopka (Hill) */
    // autogenerated using string template disenumpart2.txt
    SOPKA_HILL (30650, "Sopka (Hill)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Sorbsiya */
    // autogenerated using string template disenumpart2.txt
    NATOID_SORBSIYA (30660, "NATOID_Sorbsiya"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Sorbtsiya L005 */
    // autogenerated using string template disenumpart2.txt
    SORBTSIYA_L005 (30661, "Sorbtsiya L005"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Sorbtsiya L005S */
    // autogenerated using string template disenumpart2.txt
    SORBTSIYA_L005S (30662, "Sorbtsiya L005S"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPADA SIR */
    // autogenerated using string template disenumpart2.txt
    SPADA_SIR (30665, "SPADA SIR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SPADA TT */
    // autogenerated using string template disenumpart2.txt
    NATOID_SPADA_TT (30670, "NATOID_SPADA TT"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Sparrow (AIM/RIM-7) ILL */
    // autogenerated using string template disenumpart2.txt
    SPARROW_AIM_RIM_7_ILL (30690, "Sparrow (AIM/RIM-7) ILL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPERRY RASCAR */
    // autogenerated using string template disenumpart2.txt
    SPERRY_RASCAR (30691, "SPERRY RASCAR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPECTRA */
    // autogenerated using string template disenumpart2.txt
    SPECTRA (30692, "SPECTRA"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Sperry M-3 */
    // autogenerated using string template disenumpart2.txt
    COMMID_SPERRY_M_3 (30700, "COMMID_Sperry M-3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_SPERRY VISIONMASTER FT */
    // autogenerated using string template disenumpart2.txt
    COMMID_SPERRY_VISIONMASTER_FT (30701, "COMMID_SPERRY VISIONMASTER FT"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPEXER 2000 */
    // autogenerated using string template disenumpart2.txt
    SPEXER_2000 (30710, "SPEXER 2000"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPG 53F */
    // autogenerated using string template disenumpart2.txt
    SPG_53F (30735, "SPG 53F"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPG 70 (RTN 10X) */
    // autogenerated using string template disenumpart2.txt
    SPG_70_RTN_10X (30780, "SPG 70 (RTN 10X)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPG 74 (RTN 20X) */
    // autogenerated using string template disenumpart2.txt
    SPG_74_RTN_20X (30825, "SPG 74 (RTN 20X)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPG 75 (RTN 30X) */
    // autogenerated using string template disenumpart2.txt
    SPG_75_RTN_30X (30870, "SPG 75 (RTN 30X)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPG 76 (RTN 30X) */
    // autogenerated using string template disenumpart2.txt
    SPG_76_RTN_30X (30915, "SPG 76 (RTN 30X)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Spin Scan A */
    // autogenerated using string template disenumpart2.txt
    NATOID_SPIN_SCAN_A (30960, "NATOID_Spin Scan A"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Spin Scan B */
    // autogenerated using string template disenumpart2.txt
    NATOID_SPIN_SCAN_B (31005, "NATOID_Spin Scan B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Spin Trough */
    // autogenerated using string template disenumpart2.txt
    NATOID_SPIN_TROUGH (31050, "NATOID_Spin Trough"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPINO D'ADDA WTR */
    // autogenerated using string template disenumpart2.txt
    SPINO_DADDA_WTR (31070, "SPINO D'ADDA WTR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Splash Drop */
    // autogenerated using string template disenumpart2.txt
    NATOID_SPLASH_DROP (31095, "NATOID_Splash Drop"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN-2 */
    // autogenerated using string template disenumpart2.txt
    SPN_2 (31096, "SPN-2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN-4 */
    // autogenerated using string template disenumpart2.txt
    SPN_4 (31097, "SPN-4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN-30 */
    // autogenerated using string template disenumpart2.txt
    SPN_30 (31100, "SPN-30"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN 35A */
    // autogenerated using string template disenumpart2.txt
    SPN_35A (31140, "SPN 35A"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN 41 */
    // autogenerated using string template disenumpart2.txt
    SPN_41 (31185, "SPN 41"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN 42 */
    // autogenerated using string template disenumpart2.txt
    SPN_42 (31230, "SPN 42"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN 43A */
    // autogenerated using string template disenumpart2.txt
    SPN_43A (31275, "SPN 43A"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN 43B */
    // autogenerated using string template disenumpart2.txt
    SPN_43B (31320, "SPN 43B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN 44 */
    // autogenerated using string template disenumpart2.txt
    SPN_44 (31365, "SPN 44"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN 46 */
    // autogenerated using string template disenumpart2.txt
    SPN_46 (31410, "SPN 46"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN 703 */
    // autogenerated using string template disenumpart2.txt
    SPN_703 (31455, "SPN 703"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN 720 */
    // autogenerated using string template disenumpart2.txt
    SPN_720 (31475, "SPN 720"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN 728 (V) 1 */
    // autogenerated using string template disenumpart2.txt
    SPN_728_V_1 (31500, "SPN 728 (V) 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN 748 */
    // autogenerated using string template disenumpart2.txt
    SPN_748 (31545, "SPN 748"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN 750 */
    // autogenerated using string template disenumpart2.txt
    SPN_750 (31590, "SPN 750"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPO-8 */
    // autogenerated using string template disenumpart2.txt
    SPO_8 (31592, "SPO-8"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPN 753G */
    // autogenerated using string template disenumpart2.txt
    SPN_753G (31593, "SPN 753G"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Sponge Cake */
    // autogenerated using string template disenumpart2.txt
    NATOID_SPONGE_CAKE (31635, "NATOID_Sponge Cake"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** P-12 */
    // autogenerated using string template disenumpart2.txt
    P_12 (31680, "P-12"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** P-18 */
    // autogenerated using string template disenumpart2.txt
    P_18 (31681, "P-18"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** P-18 */
    // autogenerated using string template disenumpart2.txt
    P_18_3 (31682, "P-18"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** P-18 */
    // autogenerated using string template disenumpart2.txt
    P_18_4 (31684, "P-18"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** P-18MH2 */
    // autogenerated using string template disenumpart2.txt
    P_18MH2 (31685, "P-18MH2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Spork Rest */
    // autogenerated using string template disenumpart2.txt
    NATOID_SPORK_REST (31700, "NATOID_Spork Rest"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPQ 712 (RAN 12 L/X) */
    // autogenerated using string template disenumpart2.txt
    SPQ_712_RAN_12_L_X (31725, "SPQ 712 (RAN 12 L/X)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPR-2 */
    // autogenerated using string template disenumpart2.txt
    SPR_2 (31730, "SPR-2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPR-51 */
    // autogenerated using string template disenumpart2.txt
    SPR_51 (31740, "SPR-51"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPS 6C */
    // autogenerated using string template disenumpart2.txt
    SPS_6C (31770, "SPS 6C"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPS 10F */
    // autogenerated using string template disenumpart2.txt
    SPS_10F (31815, "SPS 10F"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPS 12 */
    // autogenerated using string template disenumpart2.txt
    SPS_12 (31860, "SPS 12"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPS 58 */
    // autogenerated using string template disenumpart2.txt
    SPS_58 (31905, "SPS 58"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPS-62 */
    // autogenerated using string template disenumpart2.txt
    SPS_62 (31925, "SPS-62"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPS 64 */
    // autogenerated using string template disenumpart2.txt
    SPS_64 (31950, "SPS 64"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPS-141 */
    // autogenerated using string template disenumpart2.txt
    SPS_141 (31951, "SPS-141"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPS-142 */
    // autogenerated using string template disenumpart2.txt
    SPS_142 (31952, "SPS-142"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPS-143 */
    // autogenerated using string template disenumpart2.txt
    SPS_143 (31953, "SPS-143"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPS-160 Geran */
    // autogenerated using string template disenumpart2.txt
    SPS_160_GERAN (31959, "SPS-160 Geran"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPS-161 */
    // autogenerated using string template disenumpart2.txt
    SPS_161 (31960, "SPS-161"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPS 768 (RAN EL) */
    // autogenerated using string template disenumpart2.txt
    SPS_768_RAN_EL (31995, "SPS 768 (RAN EL)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPS-550K MF */
    // autogenerated using string template disenumpart2.txt
    SPS_550K_MF (32020, "SPS-550K MF"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPS 774 (RAN 10S) */
    // autogenerated using string template disenumpart2.txt
    SPS_774_RAN_10S (32040, "SPS 774 (RAN 10S)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SPY 790 */
    // autogenerated using string template disenumpart2.txt
    SPY_790 (32085, "SPY 790"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Square Head */
    // autogenerated using string template disenumpart2.txt
    NATOID_SQUARE_HEAD (32130, "NATOID_Square Head"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Square Pair */
    // autogenerated using string template disenumpart2.txt
    NATOID_SQUARE_PAIR (32175, "NATOID_Square Pair"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Square Slot */
    // autogenerated using string template disenumpart2.txt
    NATOID_SQUARE_SLOT (32220, "NATOID_Square Slot"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Square Tie */
    // autogenerated using string template disenumpart2.txt
    NATOID_SQUARE_TIE (32265, "NATOID_Square Tie"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Shmel, Add SHMEL National Nomenclature for clarity */
    // autogenerated using string template disenumpart2.txt
    SHMEL (32310, "Shmel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** P-15M */
    // autogenerated using string template disenumpart2.txt
    P_15M (32330, "P-15M"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Squint Eye */
    // autogenerated using string template disenumpart2.txt
    NATOID_SQUINT_EYE (32355, "NATOID_Squint Eye"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SQUIRE */
    // autogenerated using string template disenumpart2.txt
    SQUIRE (32365, "SQUIRE"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SR2410C */
    // autogenerated using string template disenumpart2.txt
    SR2410C (32373, "SR2410C"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SR47B-G */
    // autogenerated using string template disenumpart2.txt
    SR47B_G (32375, "SR47B-G"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SRE-M5 */
    // autogenerated using string template disenumpart2.txt
    SRE_M5 (32385, "SRE-M5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SRN 6 */
    // autogenerated using string template disenumpart2.txt
    SRN_6 (32400, "SRN 6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SRN 15 */
    // autogenerated using string template disenumpart2.txt
    SRN_15 (32445, "SRN 15"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SRN 206 */
    // autogenerated using string template disenumpart2.txt
    SRN_206 (32455, "SRN 206"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SRN 745 */
    // autogenerated using string template disenumpart2.txt
    SRN_745 (32490, "SRN 745"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SRO 1 */
    // autogenerated using string template disenumpart2.txt
    SRO_1 (32535, "SRO 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SRO 2 */
    // autogenerated using string template disenumpart2.txt
    SRO_2 (32580, "SRO 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS C 2B Samlet MG */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_C_2B_SAMLET_MG (32625, "NATOID_SS C 2B Samlet MG"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 2A B CSSC */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_2A_B_CSSC (32670, "NATOID_SS N 2A B CSSC"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 2A B CSSC 2A 3A2 MH */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_2A_B_CSSC_2A_3A2_MH (32715, "NATOID_SS N 2A B CSSC 2A 3A2 MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 2C Seeker */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_2C_SEEKER (32760, "NATOID_SS N 2C Seeker"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 2C D Styx */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_2C_D_STYX (32805, "NATOID_SS N 2C D Styx"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 2C D Styx C D MH */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_2C_D_STYX_C_D_MH (32850, "NATOID_SS N 2C D Styx C D MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS-N-2C Styx AL */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_2C_STYX_AL (32851, "NATOID_SS-N-2C Styx AL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS-N-2D Styx AL */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_2D_STYX_AL (32852, "NATOID_SS-N-2D Styx AL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 3 SSC SS C 18 BN */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_3_SSC_SS_C_18_BN (32895, "NATOID_SS N 3 SSC SS C 18 BN"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 3B Sepal AL */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_3B_SEPAL_AL (32940, "NATOID_SS N 3B Sepal AL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 3B Sepal MH */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_3B_SEPAL_MH (32985, "NATOID_SS N 3B Sepal MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS-N-7 Starbright */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_7_STARBRIGHT (33025, "NATOID_SS-N-7 Starbright"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 9 Siren */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_9_SIREN (33030, "NATOID_SS N 9 Siren"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 9 Siren AL */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_9_SIREN_AL (33075, "NATOID_SS N 9 Siren AL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 9 Siren MH */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_9_SIREN_MH (33120, "NATOID_SS N 9 Siren MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SS-N-10A FL-10 mmW MH */
    // autogenerated using string template disenumpart2.txt
    SS_N_10A_FL_10_MMW_MH (33125, "SS-N-10A FL-10 mmW MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SS-N-11 Nasr-1 mmW MH */
    // autogenerated using string template disenumpart2.txt
    SS_N_11_NASR_1_MMW_MH (33140, "SS-N-11 Nasr-1 mmW MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 12 Sandbox AL */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_12_SANDBOX_AL (33165, "NATOID_SS N 12 Sandbox AL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SS-N-12 YJ-83J mmW MH */
    // autogenerated using string template disenumpart2.txt
    SS_N_12_YJ_83J_MMW_MH (33166, "SS-N-12 YJ-83J mmW MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 12 Sandbox MH */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_12_SANDBOX_MH (33210, "NATOID_SS N 12 Sandbox MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS-NX-13 Shredder */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_NX_13_SHREDDER (33230, "NATOID_SS-NX-13 Shredder"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS-N-14B Silex AL */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_14B_SILEX_AL (33231, "NATOID_SS-N-14B Silex AL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 19 Shipwreck */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_19_SHIPWRECK (33255, "NATOID_SS N 19 Shipwreck"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 19 Shipwreck AL */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_19_SHIPWRECK_AL (33300, "NATOID_SS N 19 Shipwreck AL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 19 Shipwreck MH */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_19_SHIPWRECK_MH (33345, "NATOID_SS N 19 Shipwreck MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 21 AL */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_21_AL (33390, "NATOID_SS N 21 AL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 22 Sunburn */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_22_SUNBURN (33435, "NATOID_SS N 22 Sunburn"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS N 22 Sunburn MH */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_22_SUNBURN_MH (33480, "NATOID_SS N 22 Sunburn MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS-N-22 Sunburn AL */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_22_SUNBURN_AL (33481, "NATOID_SS-N-22 Sunburn AL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS-N-25 Switchblade MH */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_25_SWITCHBLADE_MH (33483, "NATOID_SS-N-25 Switchblade MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SS-N-26 Strobile MMW MH */
    // autogenerated using string template disenumpart2.txt
    SS_N_26_STROBILE_MMW_MH (33484, "SS-N-26 Strobile MMW MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS-N-27 Sizzler MH */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_27_SIZZLER_MH (33485, "NATOID_SS-N-27 Sizzler MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_SS-N-27A Sizzler AL */
    // autogenerated using string template disenumpart2.txt
    NATOID_SS_N_27A_SIZZLER_AL (33486, "NATOID_SS-N-27A Sizzler AL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_STING EO Mk2 */
    // autogenerated using string template disenumpart2.txt
    COMMID_STING_EO_MK2 (33505, "COMMID_STING EO Mk2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_STIR 1.2 EO Mk2 */
    // autogenerated using string template disenumpart2.txt
    COMMID_STIR_12_EO_MK2 (33510, "COMMID_STIR 1.2 EO Mk2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_STIR 2.4 HP Mk2 */
    // autogenerated using string template disenumpart2.txt
    COMMID_STIR_24_HP_MK2 (33511, "COMMID_STIR 2.4 HP Mk2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Stone Cake */
    // autogenerated using string template disenumpart2.txt
    NATOID_STONE_CAKE (33525, "NATOID_Stone Cake"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** STR 41 */
    // autogenerated using string template disenumpart2.txt
    STR_41 (33570, "STR 41"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** ST-858 */
    // autogenerated using string template disenumpart2.txt
    ST_858 (33580, "ST-858"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** START-1M */
    // autogenerated using string template disenumpart2.txt
    START_1M (33582, "START-1M"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** STENTOR */
    // autogenerated using string template disenumpart2.txt
    STENTOR (33584, "STENTOR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Storm Shadow AHR */
    // autogenerated using string template disenumpart2.txt
    STORM_SHADOW_AHR (33585, "Storm Shadow AHR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** STRAIGHT FLUSH */
    // autogenerated using string template disenumpart2.txt
    STRAIGHT_FLUSH (33586, "STRAIGHT FLUSH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Straight Flush TA */
    // autogenerated using string template disenumpart2.txt
    NATOID_STRAIGHT_FLUSH_TA (33590, "NATOID_Straight Flush TA"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Straight Flush TT */
    // autogenerated using string template disenumpart2.txt
    NATOID_STRAIGHT_FLUSH_TT (33595, "NATOID_Straight Flush TT"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Straight Flush ILL */
    // autogenerated using string template disenumpart2.txt
    NATOID_STRAIGHT_FLUSH_ILL (33600, "NATOID_Straight Flush ILL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Strike Out */
    // autogenerated using string template disenumpart2.txt
    NATOID_STRIKE_OUT (33615, "NATOID_Strike Out"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Strut Curve */
    // autogenerated using string template disenumpart2.txt
    NATOID_STRUT_CURVE (33660, "NATOID_Strut Curve"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Strut Pair */
    // autogenerated using string template disenumpart2.txt
    NATOID_STRUT_PAIR (33705, "NATOID_Strut Pair"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Strut Pair 1 */
    // autogenerated using string template disenumpart2.txt
    NATOID_STRUT_PAIR_1 (33750, "NATOID_Strut Pair 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Strut Pair 2 */
    // autogenerated using string template disenumpart2.txt
    NATOID_STRUT_PAIR_2 (33795, "NATOID_Strut Pair 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Sun Visor */
    // autogenerated using string template disenumpart2.txt
    NATOID_SUN_VISOR (33840, "NATOID_Sun Visor"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SUPERDARN */
    // autogenerated using string template disenumpart2.txt
    SUPERDARN (33850, "SUPERDARN"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Superfledermaus */
    // autogenerated using string template disenumpart2.txt
    SUPERFLEDERMAUS (33860, "Superfledermaus"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Supersearcher */
    // autogenerated using string template disenumpart2.txt
    SUPERSEARCHER (33870, "Supersearcher"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Swift Rod 1 */
    // autogenerated using string template disenumpart2.txt
    NATOID_SWIFT_ROD_1 (33885, "NATOID_Swift Rod 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Swift Rod 2 */
    // autogenerated using string template disenumpart2.txt
    NATOID_SWIFT_ROD_2 (33930, "NATOID_Swift Rod 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SYMPHONY */
    // autogenerated using string template disenumpart2.txt
    SYMPHONY (33933, "SYMPHONY"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SYNAPSIS Mk2 */
    // autogenerated using string template disenumpart2.txt
    SYNAPSIS_MK2 (33935, "SYNAPSIS Mk2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_T1166 */
    // autogenerated using string template disenumpart2.txt
    NATOID_T1166 (33975, "NATOID_T1166"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_T1171 */
    // autogenerated using string template disenumpart2.txt
    NATOID_T1171 (34020, "NATOID_T1171"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_T1202 */
    // autogenerated using string template disenumpart2.txt
    NATOID_T1202 (34040, "NATOID_T1202"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_T6004 */
    // autogenerated using string template disenumpart2.txt
    NATOID_T6004 (34065, "NATOID_T6004"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_T6031 */
    // autogenerated using string template disenumpart2.txt
    NATOID_T6031 (34110, "NATOID_T6031"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_T8067 */
    // autogenerated using string template disenumpart2.txt
    NATOID_T8067 (34155, "NATOID_T8067"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_T8068 */
    // autogenerated using string template disenumpart2.txt
    NATOID_T8068 (34200, "NATOID_T8068"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_T8124 */
    // autogenerated using string template disenumpart2.txt
    NATOID_T8124 (34245, "NATOID_T8124"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_T8408 */
    // autogenerated using string template disenumpart2.txt
    NATOID_T8408 (34290, "NATOID_T8408"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_T8911 */
    // autogenerated using string template disenumpart2.txt
    NATOID_T8911 (34335, "NATOID_T8911"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_T8937 */
    // autogenerated using string template disenumpart2.txt
    NATOID_T8937 (34380, "NATOID_T8937"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_T8944 */
    // autogenerated using string template disenumpart2.txt
    NATOID_T8944 (34425, "NATOID_T8944"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_T8987 */
    // autogenerated using string template disenumpart2.txt
    NATOID_T8987 (34470, "NATOID_T8987"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TA-10K */
    // autogenerated using string template disenumpart2.txt
    TA_10K (34480, "TA-10K"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** JY-11B */
    // autogenerated using string template disenumpart2.txt
    JY_11B (34500, "JY-11B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TACAN/SURF */
    // autogenerated using string template disenumpart2.txt
    TACAN_SURF (34505, "TACAN/SURF"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** P-14 */
    // autogenerated using string template disenumpart2.txt
    P_14_2 (34515, "P-14"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_TALL KING B */
    // autogenerated using string template disenumpart2.txt
    NATOID_TALL_KING_B (34516, "NATOID_TALL KING B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_TALL KING C */
    // autogenerated using string template disenumpart2.txt
    NATOID_TALL_KING_C (34517, "NATOID_TALL KING C"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Tall Mike */
    // autogenerated using string template disenumpart2.txt
    NATOID_TALL_MIKE (34560, "NATOID_Tall Mike"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Tall Path */
    // autogenerated using string template disenumpart2.txt
    NATOID_TALL_PATH (34605, "NATOID_Tall Path"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TDR-94 (MODE S) */
    // autogenerated using string template disenumpart2.txt
    TDR_94_MODE_S (34607, "TDR-94 (MODE S)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Tea Spoon */
    // autogenerated using string template disenumpart2.txt
    NATOID_TEA_SPOON (34610, "NATOID_Tea Spoon"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Team Play */
    // autogenerated using string template disenumpart2.txt
    NATOID_TEAM_PLAY (34620, "NATOID_Team Play"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TALISMAN */
    // autogenerated using string template disenumpart2.txt
    TALISMAN (34624, "TALISMAN"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Team Work */
    // autogenerated using string template disenumpart2.txt
    NATOID_TEAM_WORK (34625, "NATOID_Team Work"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** T1135 */
    // autogenerated using string template disenumpart2.txt
    T1135 (34626, "T1135"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TANCAN/SURF */
    // autogenerated using string template disenumpart2.txt
    TANCAN_SURF (34627, "TANCAN/SURF"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TECSAR */
    // autogenerated using string template disenumpart2.txt
    TECSAR (34628, "TECSAR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TERRASAR-X */
    // autogenerated using string template disenumpart2.txt
    TERRASAR_X (34629, "TERRASAR-X"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TESAR */
    // autogenerated using string template disenumpart2.txt
    TESAR (34630, "TESAR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** THAAD GBR */
    // autogenerated using string template disenumpart2.txt
    THAAD_GBR (34640, "THAAD GBR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Thales Nederland Signaal APAR */
    // autogenerated using string template disenumpart2.txt
    THALES_NEDERLAND_SIGNAAL_APAR (34645, "Thales Nederland Signaal APAR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Thales Variant */
    // autogenerated using string template disenumpart2.txt
    THALES_VARIANT (34647, "Thales Variant"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** THD 225 */
    // autogenerated using string template disenumpart2.txt
    THD_225 (34650, "THD 225"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** THD 1012 */
    // autogenerated using string template disenumpart2.txt
    THD_1012 (34655, "THD 1012"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** THD 1098 */
    // autogenerated using string template disenumpart2.txt
    THD_1098 (34660, "THD 1098"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** THD 1213 */
    // autogenerated using string template disenumpart2.txt
    THD_1213 (34665, "THD 1213"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** THD 1940 */
    // autogenerated using string template disenumpart2.txt
    THD_1940 (34670, "THD 1940"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** THD-1955 Palmier */
    // autogenerated using string template disenumpart2.txt
    THD_1955_PALMIER (34680, "THD-1955 Palmier"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** THD 5500 */
    // autogenerated using string template disenumpart2.txt
    THD_5500 (34695, "THD 5500"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Thin Path */
    // autogenerated using string template disenumpart2.txt
    NATOID_THIN_PATH (34740, "NATOID_Thin Path"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** PRV-9 */
    // autogenerated using string template disenumpart2.txt
    PRV_9 (34785, "PRV-9"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** PRV-16 */
    // autogenerated using string template disenumpart2.txt
    PRV_16 (34786, "PRV-16"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF TA-10 */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_TA_10 (34795, "COMMID_Thompson CSF TA-10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF TH D 1040 Neptune */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_TH_D_1040_NEPTUNE (34830, "COMMID_Thompson CSF TH D 1040 Neptune"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF Calypso */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_CALYPSO (34875, "COMMID_Thompson CSF Calypso"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF CASTOR */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_CASTOR (34920, "COMMID_Thompson CSF CASTOR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF Castor II */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_CASTOR_II (34965, "COMMID_Thompson CSF Castor II"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF DRBC 32A */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_DRBC_32A (35010, "COMMID_Thompson CSF DRBC 32A"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF DRBJ 11 D/E */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_DRBJ_11_D_E (35055, "COMMID_Thompson CSF DRBJ 11 D/E"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF DRBV 15A */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_DRBV_15A (35100, "COMMID_Thompson CSF DRBV 15A"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF DRBV 15C */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_DRBV_15C (35145, "COMMID_Thompson CSF DRBV 15C"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF DRBV 22D */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_DRBV_22D (35190, "COMMID_Thompson CSF DRBV 22D"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF DRBV 23B */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_DRBV_23B (35235, "COMMID_Thompson CSF DRBV 23B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF DRUA 33 */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_DRUA_33 (35280, "COMMID_Thompson CSF DRUA 33"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF Mars DRBV 21A */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_MARS_DRBV_21A (35325, "COMMID_Thompson CSF Mars DRBV 21A"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF Sea Tiger */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_SEA_TIGER (35370, "COMMID_Thompson CSF Sea Tiger"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF Triton */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_TRITON (35415, "COMMID_Thompson CSF Triton"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Thompson CSF Vega with DRBC 32E */
    // autogenerated using string template disenumpart2.txt
    COMMID_THOMPSON_CSF_VEGA_WITH_DRBC_32E (35460, "COMMID_Thompson CSF Vega with DRBC 32E"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Thomson ENR (European Navy Radar) */
    // autogenerated using string template disenumpart2.txt
    THOMSON_ENR_EUROPEAN_NAVY_RADAR (35470, "Thomson ENR (European Navy Radar)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Thomson RDI */
    // autogenerated using string template disenumpart2.txt
    THOMSON_RDI (35475, "Thomson RDI"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Tier II Plus */
    // autogenerated using string template disenumpart2.txt
    TIER_II_PLUS (35477, "Tier II Plus"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TPS-755 */
    // autogenerated using string template disenumpart2.txt
    TPS_755 (35478, "TPS-755"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TPS-830K */
    // autogenerated using string template disenumpart2.txt
    TPS_830K (35479, "TPS-830K"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS-2105 */
    // autogenerated using string template disenumpart2.txt
    TRS_2105 (35480, "TRS-2105"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TR-23K */
    // autogenerated using string template disenumpart2.txt
    TR_23K (35481, "TR-23K"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TR-23MR */
    // autogenerated using string template disenumpart2.txt
    TR_23MR (35482, "TR-23MR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRAC-2100 */
    // autogenerated using string template disenumpart2.txt
    TRAC_2100 (35483, "TRAC-2100"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRAC-2300 */
    // autogenerated using string template disenumpart2.txt
    TRAC_2300 (35484, "TRAC-2300"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** HT-223 */
    // autogenerated using string template disenumpart2.txt
    HT_223 (35485, "HT-223"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRADEX */
    // autogenerated using string template disenumpart2.txt
    TRADEX (35486, "TRADEX"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRAIL XI */
    // autogenerated using string template disenumpart2.txt
    TRAIL_XI (35487, "TRAIL XI"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRD-1211 */
    // autogenerated using string template disenumpart2.txt
    TRD_1211 (35488, "TRD-1211"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRD-1235 */
    // autogenerated using string template disenumpart2.txt
    TRD_1235 (35489, "TRD-1235"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS-2100 */
    // autogenerated using string template disenumpart2.txt
    TRS_2100 (35490, "TRS-2100"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRAC NG */
    // autogenerated using string template disenumpart2.txt
    TRAC_NG (35491, "TRAC NG"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Tie Rods */
    // autogenerated using string template disenumpart2.txt
    NATOID_TIE_RODS (35505, "NATOID_Tie Rods"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 36D6 */
    // autogenerated using string template disenumpart2.txt
    _36D6 (35550, "36D6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Tin Trap */
    // autogenerated using string template disenumpart2.txt
    NATOID_TIN_TRAP (35570, "NATOID_Tin Trap"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TIRSPONDER */
    // autogenerated using string template disenumpart2.txt
    TIRSPONDER (35580, "TIRSPONDER"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TK-25E-5 */
    // autogenerated using string template disenumpart2.txt
    TK_25E_5 (35583, "TK-25E-5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TMK Mk2 */
    // autogenerated using string template disenumpart2.txt
    TMK_MK2 (35585, "TMK Mk2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TMX Mk2 */
    // autogenerated using string template disenumpart2.txt
    TMX_MK2 (35586, "TMX Mk2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Toad Stool 1 */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOAD_STOOL_1 (35595, "NATOID_Toad Stool 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Toad Stool 2 */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOAD_STOOL_2 (35640, "NATOID_Toad Stool 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Toad Stool 3 */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOAD_STOOL_3 (35685, "NATOID_Toad Stool 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Toad Stool 4 */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOAD_STOOL_4 (35730, "NATOID_Toad Stool 4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Toad Stool 5 */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOAD_STOOL_5 (35775, "NATOID_Toad Stool 5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Token B */
    // autogenerated using string template disenumpart2.txt
    TOKEN_B (35785, "Token B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Tomb Stone */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOMB_STONE (35800, "NATOID_Tomb Stone"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Tonson */
    // autogenerated using string template disenumpart2.txt
    TONSON (35810, "Tonson"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Top Bow */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOP_BOW (35820, "NATOID_Top Bow"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Top Dome */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOP_DOME (35865, "NATOID_Top Dome"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Top Knot */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOP_KNOT (35910, "NATOID_Top Knot"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Top Mesh */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOP_MESH (35955, "NATOID_Top Mesh"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Top Pair */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOP_PAIR (36000, "NATOID_Top Pair"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Top Plate */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOP_PLATE (36045, "NATOID_Top Plate"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Top Plate B */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOP_PLATE_B (36046, "NATOID_Top Plate B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Top Sail */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOP_SAIL (36090, "NATOID_Top Sail"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE-208 */
    // autogenerated using string template disenumpart2.txt
    TYPE_208 (36120, "TYPE-208"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Top Steer */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOP_STEER (36135, "NATOID_Top Steer"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Top Trough */
    // autogenerated using string template disenumpart2.txt
    NATOID_TOP_TROUGH (36180, "NATOID_Top Trough"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Tornado GMR */
    // autogenerated using string template disenumpart2.txt
    TORNADO_GMR (36200, "Tornado GMR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Tornado TFR */
    // autogenerated using string template disenumpart2.txt
    TORNADO_TFR (36201, "Tornado TFR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Scrum Half TA */
    // autogenerated using string template disenumpart2.txt
    NATOID_SCRUM_HALF_TA (36220, "NATOID_Scrum Half TA"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Scrum Half TT */
    // autogenerated using string template disenumpart2.txt
    NATOID_SCRUM_HALF_TT (36225, "NATOID_Scrum Half TT"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TOR-M2 TER */
    // autogenerated using string template disenumpart2.txt
    TOR_M2_TER (36226, "TOR-M2 TER"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Scrum Half MG */
    // autogenerated using string template disenumpart2.txt
    NATOID_SCRUM_HALF_MG (36230, "NATOID_Scrum Half MG"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Track Dish */
    // autogenerated using string template disenumpart2.txt
    NATOID_TRACK_DISH (36270, "NATOID_Track Dish"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TORSO M */
    // autogenerated using string template disenumpart2.txt
    TORSO_M (36315, "TORSO M"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TQN-2 */
    // autogenerated using string template disenumpart2.txt
    TQN_2 (36320, "TQN-2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Trap Door */
    // autogenerated using string template disenumpart2.txt
    NATOID_TRAP_DOOR (36360, "NATOID_Trap Door"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRD-1500 */
    // autogenerated using string template disenumpart2.txt
    TRD_1500 (36365, "TRD-1500"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Trick Shot TAR */
    // autogenerated using string template disenumpart2.txt
    NATOID_TRICK_SHOT_TAR (36370, "NATOID_Trick Shot TAR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Trick Shot TER */
    // autogenerated using string template disenumpart2.txt
    NATOID_TRICK_SHOT_TER (36371, "NATOID_Trick Shot TER"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRISPONDE */
    // autogenerated using string template disenumpart2.txt
    TRISPONDE (36380, "TRISPONDE"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRML */
    // autogenerated using string template disenumpart2.txt
    TRML (36381, "TRML"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRML-3D */
    // autogenerated using string template disenumpart2.txt
    TRML_3D (36383, "TRML-3D"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRM-S */
    // autogenerated using string template disenumpart2.txt
    TRM_S (36384, "TRM-S"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS-2056 */
    // autogenerated using string template disenumpart2.txt
    TRS_2056 (36385, "TRS-2056"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS 3010 */
    // autogenerated using string template disenumpart2.txt
    TRS_3010 (36386, "TRS 3010"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS-2060 */
    // autogenerated using string template disenumpart2.txt
    TRS_2060 (36387, "TRS-2060"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS-2245 */
    // autogenerated using string template disenumpart2.txt
    TRS_2245 (36388, "TRS-2245"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS-2310 */
    // autogenerated using string template disenumpart2.txt
    TRS_2310 (36389, "TRS-2310"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Triton G */
    // autogenerated using string template disenumpart2.txt
    TRITON_G (36390, "Triton G"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS-22XX */
    // autogenerated using string template disenumpart2.txt
    TRS_22XX (36391, "TRS-22XX"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS 3030 */
    // autogenerated using string template disenumpart2.txt
    TRS_3030 (36400, "TRS 3030"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS 3033 */
    // autogenerated using string template disenumpart2.txt
    TRS_3033 (36405, "TRS 3033"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS 3203 */
    // autogenerated using string template disenumpart2.txt
    TRS_3203 (36417, "TRS 3203"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS 3405 */
    // autogenerated using string template disenumpart2.txt
    TRS_3405 (36420, "TRS 3405"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS 3410 */
    // autogenerated using string template disenumpart2.txt
    TRS_3410 (36425, "TRS 3410"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS 3415 */
    // autogenerated using string template disenumpart2.txt
    TRS_3415 (36430, "TRS 3415"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS-3D */
    // autogenerated using string template disenumpart2.txt
    TRS_3D (36440, "TRS-3D"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS-3D/16 */
    // autogenerated using string template disenumpart2.txt
    TRS_3D_16 (36441, "TRS-3D/16"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS-3D/16-ES */
    // autogenerated using string template disenumpart2.txt
    TRS_3D_16_ES (36442, "TRS-3D/16-ES"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS-3D/32 */
    // autogenerated using string template disenumpart2.txt
    TRS_3D_32 (36443, "TRS-3D/32"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS-4D */
    // autogenerated using string template disenumpart2.txt
    TRS_4D (36446, "TRS-4D"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS-C */
    // autogenerated using string template disenumpart2.txt
    TRS_C (36447, "TRS-C"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TRS-N */
    // autogenerated using string template disenumpart2.txt
    TRS_N (36450, "TRS-N"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TS-4478A */
    // autogenerated using string template disenumpart2.txt
    TS_4478A (36460, "TS-4478A"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TSE 5000 */
    // autogenerated using string template disenumpart2.txt
    TSE_5000 (36495, "TSE 5000"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TSR 333 */
    // autogenerated using string template disenumpart2.txt
    TSR_333 (36540, "TSR 333"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TSR 793 */
    // autogenerated using string template disenumpart2.txt
    TSR_793 (36550, "TSR 793"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Tub Brick */
    // autogenerated using string template disenumpart2.txt
    NATOID_TUB_BRICK (36563, "NATOID_Tub Brick"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Tube Arm */
    // autogenerated using string template disenumpart2.txt
    NATOID_TUBE_ARM (36585, "NATOID_Tube Arm"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TW 1374 */
    // autogenerated using string template disenumpart2.txt
    TW_1374 (36590, "TW 1374"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TW 1378 */
    // autogenerated using string template disenumpart2.txt
    TW_1378 (36595, "TW 1378"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TW 1446 */
    // autogenerated using string template disenumpart2.txt
    TW_1446 (36600, "TW 1446"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Twin Eyes */
    // autogenerated using string template disenumpart2.txt
    NATOID_TWIN_EYES (36630, "NATOID_Twin Eyes"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Twin Pill */
    // autogenerated using string template disenumpart2.txt
    NATOID_TWIN_PILL (36675, "NATOID_Twin Pill"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Twin Scan */
    // autogenerated using string template disenumpart2.txt
    NATOID_TWIN_SCAN (36720, "NATOID_Twin Scan"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Twin Scan Ro */
    // autogenerated using string template disenumpart2.txt
    NATOID_TWIN_SCAN_RO (36765, "NATOID_Twin Scan Ro"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Two Spot */
    // autogenerated using string template disenumpart2.txt
    NATOID_TWO_SPOT (36810, "NATOID_Two Spot"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 2-12 J/A */
    // autogenerated using string template disenumpart2.txt
    TYPE_2_12_J_A (36827, "Type 2-12 J/A"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 2-21 J/A */
    // autogenerated using string template disenumpart2.txt
    TYPE_2_21_J_A (36830, "Type 2-21 J/A"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 2-23 */
    // autogenerated using string template disenumpart2.txt
    TYPE_2_23 (36835, "Type 2-23"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 80/ASM-1 */
    // autogenerated using string template disenumpart2.txt
    TYPE_80_ASM_1 (36836, "Type 80/ASM-1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 208 */
    // autogenerated using string template disenumpart2.txt
    TYPE_208_2 (36840, "Type 208"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 222 */
    // autogenerated using string template disenumpart2.txt
    TYPE_222 (36843, "Type 222"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 226 */
    // autogenerated using string template disenumpart2.txt
    TYPE_226 (36846, "Type 226"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 232H */
    // autogenerated using string template disenumpart2.txt
    TYPE_232H (36850, "Type 232H"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 245 */
    // autogenerated using string template disenumpart2.txt
    TYPE_245 (36853, "TYPE 245"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 262 */
    // autogenerated using string template disenumpart2.txt
    TYPE_262 (36855, "TYPE 262"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 275 */
    // autogenerated using string template disenumpart2.txt
    TYPE_275 (36900, "TYPE 275"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 278 */
    // autogenerated using string template disenumpart2.txt
    TYPE_278 (36905, "TYPE 278"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 293 */
    // autogenerated using string template disenumpart2.txt
    TYPE_293 (36945, "TYPE 293"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 341 */
    // autogenerated using string template disenumpart2.txt
    TYPE_341 (36946, "Type 341"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 313 */
    // autogenerated using string template disenumpart2.txt
    TYPE_313 (36947, "TYPE 313"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 334 */
    // autogenerated using string template disenumpart2.txt
    TYPE_334 (36960, "Type 334"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 342 */
    // autogenerated using string template disenumpart2.txt
    TYPE_342 (36985, "Type 342"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 343 SUN VISOR B */
    // autogenerated using string template disenumpart2.txt
    TYPE_343_SUN_VISOR_B (36990, "TYPE 343 SUN VISOR B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 344 */
    // autogenerated using string template disenumpart2.txt
    TYPE_344 (36992, "Type 344"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 345 */
    // autogenerated using string template disenumpart2.txt
    TYPE_345 (37010, "Type 345"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 347B */
    // autogenerated using string template disenumpart2.txt
    TYPE_347B (37035, "TYPE 347B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 347G */
    // autogenerated using string template disenumpart2.txt
    TYPE_347G (37038, "Type 347G"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 359 */
    // autogenerated using string template disenumpart2.txt
    TYPE_359 (37039, "Type 359"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 352 */
    // autogenerated using string template disenumpart2.txt
    TYPE_352 (37040, "Type 352"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 360 */
    // autogenerated using string template disenumpart2.txt
    TYPE_360 (37041, "Type 360"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 362 ESR-1 SR-47B */
    // autogenerated using string template disenumpart2.txt
    TYPE_362_ESR_1_SR_47B (37043, "Type 362 ESR-1 SR-47B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 354 */
    // autogenerated using string template disenumpart2.txt
    TYPE_354 (37045, "Type 354"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 363 */
    // autogenerated using string template disenumpart2.txt
    TYPE_363 (37048, "Type 363"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 364 */
    // autogenerated using string template disenumpart2.txt
    TYPE_364 (37049, "Type 364"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type-404A(CH) */
    // autogenerated using string template disenumpart2.txt
    TYPE_404ACH (37050, "Type-404A(CH)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 405 */
    // autogenerated using string template disenumpart2.txt
    TYPE_405 (37052, "Type 405"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 405J */
    // autogenerated using string template disenumpart2.txt
    TYPE_405J (37053, "TYPE 405J"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 408D */
    // autogenerated using string template disenumpart2.txt
    TYPE_408D (37058, "Type 408D"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 517B */
    // autogenerated using string template disenumpart2.txt
    TYPE_517B (37059, "Type 517B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 518 (Hai Ying, God Eye, REL-2) */
    // autogenerated using string template disenumpart2.txt
    TYPE_518_HAI_YING_GOD_EYE_REL_2 (37060, "Type 518 (Hai Ying, God Eye, REL-2)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 589 */
    // autogenerated using string template disenumpart2.txt
    TYPE_589 (37070, "Type 589"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 651 */
    // autogenerated using string template disenumpart2.txt
    TYPE_651 (37073, "TYPE 651"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 753 */
    // autogenerated using string template disenumpart2.txt
    TYPE_753 (37075, "Type 753"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 702 */
    // autogenerated using string template disenumpart2.txt
    TYPE_702 (37077, "Type 702"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 704 */
    // autogenerated using string template disenumpart2.txt
    TYPE_704 (37078, "Type 704"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 753 */
    // autogenerated using string template disenumpart2.txt
    TYPE_753_2 (37079, "Type 753"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 756 */
    // autogenerated using string template disenumpart2.txt
    TYPE_756 (37080, "Type 756"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 713 */
    // autogenerated using string template disenumpart2.txt
    TYPE_713 (37081, "TYPE 713"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 714 */
    // autogenerated using string template disenumpart2.txt
    TYPE_714 (37082, "TYPE 714"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 702-D */
    // autogenerated using string template disenumpart2.txt
    TYPE_702_D (37083, "TYPE 702-D"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 815 */
    // autogenerated using string template disenumpart2.txt
    TYPE_815 (37090, "Type 815"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 793 */
    // autogenerated using string template disenumpart2.txt
    TYPE_793 (37095, "Type 793"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 8A-813 */
    // autogenerated using string template disenumpart2.txt
    TYPE_8A_813 (37100, "Type 8A-813"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 901M */
    // autogenerated using string template disenumpart2.txt
    TYPE_901M (37105, "TYPE 901M"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 902 */
    // autogenerated using string template disenumpart2.txt
    TYPE_902 (37110, "TYPE 902"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 902B */
    // autogenerated using string template disenumpart2.txt
    TYPE_902B (37124, "Type 902B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 903 */
    // autogenerated using string template disenumpart2.txt
    TYPE_903 (37125, "TYPE 903"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 909 TI */
    // autogenerated using string template disenumpart2.txt
    TYPE_909_TI (37170, "TYPE 909 TI"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 909 TT */
    // autogenerated using string template disenumpart2.txt
    TYPE_909_TT (37215, "TYPE 909 TT"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 910 */
    // autogenerated using string template disenumpart2.txt
    TYPE_910 (37260, "TYPE 910"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE-931(CH) */
    // autogenerated using string template disenumpart2.txt
    TYPE_931CH (37265, "TYPE-931(CH)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 965 */
    // autogenerated using string template disenumpart2.txt
    TYPE_965 (37305, "TYPE 965"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 967 */
    // autogenerated using string template disenumpart2.txt
    TYPE_967 (37350, "TYPE 967"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 968 */
    // autogenerated using string template disenumpart2.txt
    TYPE_968 (37395, "TYPE 968"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 974 */
    // autogenerated using string template disenumpart2.txt
    TYPE_974 (37440, "TYPE 974"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 975 */
    // autogenerated using string template disenumpart2.txt
    TYPE_975 (37485, "TYPE 975"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 978 */
    // autogenerated using string template disenumpart2.txt
    TYPE_978 (37530, "TYPE 978"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 981 */
    // autogenerated using string template disenumpart2.txt
    TYPE_981 (37534, "Type 981"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 981-3 */
    // autogenerated using string template disenumpart2.txt
    TYPE_981_3 (37535, "Type 981-3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 982 */
    // autogenerated using string template disenumpart2.txt
    TYPE_982 (37540, "TYPE 982"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 984 */
    // autogenerated using string template disenumpart2.txt
    TYPE_984 (37543, "Type 984"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 985 */
    // autogenerated using string template disenumpart2.txt
    TYPE_985 (37544, "Type 985"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 992 */
    // autogenerated using string template disenumpart2.txt
    TYPE_992 (37575, "TYPE 992"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 993 */
    // autogenerated using string template disenumpart2.txt
    TYPE_993 (37620, "TYPE 993"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 994 */
    // autogenerated using string template disenumpart2.txt
    TYPE_994 (37665, "TYPE 994"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 996 */
    // autogenerated using string template disenumpart2.txt
    TYPE_996 (37670, "Type 996"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 997 Artisan */
    // autogenerated using string template disenumpart2.txt
    TYPE_997_ARTISAN (37675, "Type 997 Artisan"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 1006(1) */
    // autogenerated using string template disenumpart2.txt
    TYPE_10061 (37710, "TYPE 1006(1)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 1006(2) */
    // autogenerated using string template disenumpart2.txt
    TYPE_10062 (37755, "TYPE 1006(2)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TYPE 1022 */
    // autogenerated using string template disenumpart2.txt
    TYPE_1022 (37800, "TYPE 1022"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 1047 */
    // autogenerated using string template disenumpart2.txt
    TYPE_1047 (37810, "Type 1047"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Type 1048 */
    // autogenerated using string template disenumpart2.txt
    TYPE_1048 (37815, "Type 1048"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** ULTRA */
    // autogenerated using string template disenumpart2.txt
    ULTRA (37840, "ULTRA"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** UK MK 10 */
    // autogenerated using string template disenumpart2.txt
    UK_MK_10 (37845, "UK MK 10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** UPS-220C */
    // autogenerated using string template disenumpart2.txt
    UPS_220C (37850, "UPS-220C"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** UPX 1 10 */
    // autogenerated using string template disenumpart2.txt
    UPX_1_10 (37890, "UPX 1 10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** UPX 27 */
    // autogenerated using string template disenumpart2.txt
    UPX_27 (37935, "UPX 27"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** URN 20 */
    // autogenerated using string template disenumpart2.txt
    URN_20 (37980, "URN 20"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** UTES-A */
    // autogenerated using string template disenumpart2.txt
    UTES_A (37985, "UTES-A"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** UTES-T */
    // autogenerated using string template disenumpart2.txt
    UTES_T (37990, "UTES-T"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** URN 25 */
    // autogenerated using string template disenumpart2.txt
    URN_25 (38025, "URN 25"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** VIGILANT */
    // autogenerated using string template disenumpart2.txt
    VIGILANT (38035, "VIGILANT"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** VOLEX III/IV */
    // autogenerated using string template disenumpart2.txt
    VOLEX_III_IV (38045, "VOLEX III/IV"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** VOLGA */
    // autogenerated using string template disenumpart2.txt
    VOLGA (38046, "VOLGA"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** VORONEZH-DM */
    // autogenerated using string template disenumpart2.txt
    VORONEZH_DM (38047, "VORONEZH-DM"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** VOSTOK */
    // autogenerated using string template disenumpart2.txt
    VOSTOK (38048, "VOSTOK"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** VOSTOK-E */
    // autogenerated using string template disenumpart2.txt
    VOSTOK_E (38049, "VOSTOK-E"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** VSR */
    // autogenerated using string template disenumpart2.txt
    VSR (38050, "VSR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** VOSTOK-3D */
    // autogenerated using string template disenumpart2.txt
    VOSTOK_3D (38051, "VOSTOK-3D"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** VSTAR-PT */
    // autogenerated using string template disenumpart2.txt
    VSTAR_PT (38055, "VSTAR-PT"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** W-160 */
    // autogenerated using string template disenumpart2.txt
    W_160 (38058, "W-160"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** W1028 */
    // autogenerated using string template disenumpart2.txt
    W1028 (38060, "W1028"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** W8818 */
    // autogenerated using string template disenumpart2.txt
    W8818 (38070, "W8818"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** W8838 */
    // autogenerated using string template disenumpart2.txt
    W8838 (38115, "W8838"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** W8852 */
    // autogenerated using string template disenumpart2.txt
    W8852 (38120, "W8852"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_WALL BOARD */
    // autogenerated using string template disenumpart2.txt
    NATOID_WALL_BOARD (38140, "NATOID_WALL BOARD"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Wall Rust */
    // autogenerated using string template disenumpart2.txt
    NATOID_WALL_RUST (38150, "NATOID_Wall Rust"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WAS-74S */
    // autogenerated using string template disenumpart2.txt
    WAS_74S (38160, "WAS-74S"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Wasp Head */
    // autogenerated using string template disenumpart2.txt
    NATOID_WASP_HEAD (38205, "NATOID_Wasp Head"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WATCHDOG */
    // autogenerated using string template disenumpart2.txt
    WATCHDOG (38210, "WATCHDOG"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Watch Guard */
    // autogenerated using string template disenumpart2.txt
    NATOID_WATCH_GUARD (38250, "NATOID_Watch Guard"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Watchman */
    // autogenerated using string template disenumpart2.txt
    WATCHMAN (38260, "Watchman"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WATCHMAN-S */
    // autogenerated using string template disenumpart2.txt
    WATCHMAN_S (38275, "WATCHMAN-S"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WATCHMAN-T */
    // autogenerated using string template disenumpart2.txt
    WATCHMAN_T (38276, "WATCHMAN-T"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WEATHER SCOUT 2 */
    // autogenerated using string template disenumpart2.txt
    WEATHER_SCOUT_2 (38280, "WEATHER SCOUT 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Western Electric MK 10 */
    // autogenerated using string template disenumpart2.txt
    COMMID_WESTERN_ELECTRIC_MK_10 (38295, "COMMID_Western Electric MK 10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Westinghouse ADR-4 LRSR */
    // autogenerated using string template disenumpart2.txt
    COMMID_WESTINGHOUSE_ADR_4_LRSR (38320, "COMMID_Westinghouse ADR-4 LRSR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Westinghouse Electric SPG 50 */
    // autogenerated using string template disenumpart2.txt
    COMMID_WESTINGHOUSE_ELECTRIC_SPG_50 (38340, "COMMID_Westinghouse Electric SPG 50"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Westinghouse Electric W 120 */
    // autogenerated using string template disenumpart2.txt
    COMMID_WESTINGHOUSE_ELECTRIC_W_120 (38385, "COMMID_Westinghouse Electric W 120"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Westinghouse SPS 29C */
    // autogenerated using string template disenumpart2.txt
    COMMID_WESTINGHOUSE_SPS_29C (38430, "COMMID_Westinghouse SPS 29C"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** COMMID_Westinghouse SPS 37 */
    // autogenerated using string template disenumpart2.txt
    COMMID_WESTINGHOUSE_SPS_37 (38475, "COMMID_Westinghouse SPS 37"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Wet Eye */
    // autogenerated using string template disenumpart2.txt
    WET_EYE (38520, "Wet Eye"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Wet Eye 2 */
    // autogenerated using string template disenumpart2.txt
    WET_EYE_2 (38525, "Wet Eye 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Wet Eye Mod */
    // autogenerated using string template disenumpart2.txt
    WET_EYE_MOD (38565, "Wet Eye Mod"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WF44S */
    // autogenerated using string template disenumpart2.txt
    WF44S (38568, "WF44S"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WGU-41/B */
    // autogenerated using string template disenumpart2.txt
    WGU_41_B (38570, "WGU-41/B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WGU-44/B */
    // autogenerated using string template disenumpart2.txt
    WGU_44_B (38572, "WGU-44/B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Whiff */
    // autogenerated using string template disenumpart2.txt
    NATOID_WHIFF (38610, "NATOID_Whiff"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Whiff Brick */
    // autogenerated using string template disenumpart2.txt
    NATOID_WHIFF_BRICK (38655, "NATOID_Whiff Brick"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Whiff Fire */
    // autogenerated using string template disenumpart2.txt
    NATOID_WHIFF_FIRE (38700, "NATOID_Whiff Fire"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_WHITE HOUSE */
    // autogenerated using string template disenumpart2.txt
    NATOID_WHITE_HOUSE (38715, "NATOID_WHITE HOUSE"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Wide Mat */
    // autogenerated using string template disenumpart2.txt
    NATOID_WIDE_MAT (38730, "NATOID_Wide Mat"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Wild Card */
    // autogenerated using string template disenumpart2.txt
    WILD_CARD (38745, "Wild Card"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WILDCAT */
    // autogenerated using string template disenumpart2.txt
    WILDCAT (38748, "WILDCAT"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Witch Eight */
    // autogenerated using string template disenumpart2.txt
    NATOID_WITCH_EIGHT (38790, "NATOID_Witch Eight"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Witch Five */
    // autogenerated using string template disenumpart2.txt
    NATOID_WITCH_FIVE (38835, "NATOID_Witch Five"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WLR */
    // autogenerated using string template disenumpart2.txt
    WLR (38840, "WLR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WM2X Series */
    // autogenerated using string template disenumpart2.txt
    WM2X_SERIES (38880, "WM2X Series"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WM2X Series CAS */
    // autogenerated using string template disenumpart2.txt
    WM2X_SERIES_CAS (38925, "WM2X Series CAS"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WR-10X */
    // autogenerated using string template disenumpart2.txt
    WR_10X (38930, "WR-10X"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WR-2100 */
    // autogenerated using string template disenumpart2.txt
    WR_2100 (38935, "WR-2100"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WSR-74C */
    // autogenerated using string template disenumpart2.txt
    WSR_74C (38950, "WSR-74C"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WSR-74S */
    // autogenerated using string template disenumpart2.txt
    WSR_74S (38955, "WSR-74S"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WSR-81 */
    // autogenerated using string template disenumpart2.txt
    WSR_81 (38957, "WSR-81"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WXR-700C */
    // autogenerated using string template disenumpart2.txt
    WXR_700C (38960, "WXR-700C"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** WXR-2100 */
    // autogenerated using string template disenumpart2.txt
    WXR_2100 (38965, "WXR-2100"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Wood Gage */
    // autogenerated using string template disenumpart2.txt
    NATOID_WOOD_GAGE (38970, "NATOID_Wood Gage"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** X-TAR25 */
    // autogenerated using string template disenumpart2.txt
    X_TAR25 (38990, "X-TAR25"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** YAOGAN 3 */
    // autogenerated using string template disenumpart2.txt
    YAOGAN_3 (39000, "YAOGAN 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Yaogan-29 */
    // autogenerated using string template disenumpart2.txt
    YAOGAN_29 (39014, "Yaogan-29"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Yard Rake */
    // autogenerated using string template disenumpart2.txt
    NATOID_YARD_RAKE (39015, "NATOID_Yard Rake"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Yew Loop */
    // autogenerated using string template disenumpart2.txt
    NATOID_YEW_LOOP (39060, "NATOID_Yew Loop"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** YITIAN ADS */
    // autogenerated using string template disenumpart2.txt
    YITIAN_ADS (39061, "YITIAN ADS"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** YD-3 */
    // autogenerated using string template disenumpart2.txt
    YD_3 (39062, "YD-3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** YJ-12 MH */
    // autogenerated using string template disenumpart2.txt
    YJ_12_MH (39063, "YJ-12 MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** YJ-62 MH */
    // autogenerated using string template disenumpart2.txt
    YJ_62_MH (39065, "YJ-62 MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** YJ-82 MH */
    // autogenerated using string template disenumpart2.txt
    YJ_82_MH (39066, "YJ-82 MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** YJ-83 MH */
    // autogenerated using string template disenumpart2.txt
    YJ_83_MH (39067, "YJ-83 MH"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** YLC-2 */
    // autogenerated using string template disenumpart2.txt
    YLC_2 (39070, "YLC-2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** YLC-2A */
    // autogenerated using string template disenumpart2.txt
    YLC_2A (39071, "YLC-2A"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** YLC-4 */
    // autogenerated using string template disenumpart2.txt
    YLC_4 (39073, "YLC-4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** YLC-6 */
    // autogenerated using string template disenumpart2.txt
    YLC_6 (39074, "YLC-6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** YLC-6M */
    // autogenerated using string template disenumpart2.txt
    YLC_6M (39075, "YLC-6M"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** YLC-8 */
    // autogenerated using string template disenumpart2.txt
    YLC_8 (39080, "YLC-8"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** YLC-8B */
    // autogenerated using string template disenumpart2.txt
    YLC_8B (39081, "YLC-8B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** YLC-18 */
    // autogenerated using string template disenumpart2.txt
    YLC_18 (39085, "YLC-18"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATOID_Yo-Yo */
    // autogenerated using string template disenumpart2.txt
    NATOID_YO_YO (39105, "NATOID_Yo-Yo"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Zoo Park 1 */
    // autogenerated using string template disenumpart2.txt
    ZOO_PARK_1 (39125, "Zoo Park 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** ZPS-6 */
    // autogenerated using string template disenumpart2.txt
    ZPS_6 (39126, "ZPS-6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** ZOOPARK-3 */
    // autogenerated using string template disenumpart2.txt
    ZOOPARK_3 (39127, "ZOOPARK-3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** ZD-12 */
    // autogenerated using string template disenumpart2.txt
    ZD_12 (39131, "ZD-12"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** ZW-06 */
    // autogenerated using string template disenumpart2.txt
    ZW_06 (39150, "ZW-06"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** AN/ALQ-136(V)1 */
    // autogenerated using string template disenumpart2.txt
    AN_ALQ_136V1 (39200, "AN/ALQ-136(V)1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** AN/ALQ-136(V)2 */
    // autogenerated using string template disenumpart2.txt
    AN_ALQ_136V2 (39201, "AN/ALQ-136(V)2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** AN/ALQ-136(V)3 */
    // autogenerated using string template disenumpart2.txt
    AN_ALQ_136V3 (39202, "AN/ALQ-136(V)3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** AN/ALQ-136(V)4 */
    // autogenerated using string template disenumpart2.txt
    AN_ALQ_136V4 (39203, "AN/ALQ-136(V)4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** AN/ALQ-136(V)5 */
    // autogenerated using string template disenumpart2.txt
    AN_ALQ_136V5 (39204, "AN/ALQ-136(V)5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** AN/ALQ-162(V)2, See also 1638 */
    // autogenerated using string template disenumpart2.txt
    AN_ALQ_162V2 (39210, "AN/ALQ-162(V)2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** AN/ALQ-162(V)3 */
    // autogenerated using string template disenumpart2.txt
    AN_ALQ_162V3 (39211, "AN/ALQ-162(V)3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** AN/ALQ-162(V)4 */
    // autogenerated using string template disenumpart2.txt
    AN_ALQ_162V4 (39212, "AN/ALQ-162(V)4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Zhuk-M */
    // autogenerated using string template disenumpart2.txt
    ZHUK_M (45300, "Zhuk-M"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** ZHUK-MAE */
    // autogenerated using string template disenumpart2.txt
    ZHUK_MAE (45303, "ZHUK-MAE"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** ZHUK-MME */
    // autogenerated using string template disenumpart2.txt
    ZHUK_MME (45305, "ZHUK-MME"); /*here*/

    // autogenerated using string template disenumpart25.txt

    private int value;
    private final String description;

    /** Constructor */
    EmitterNameAdditional(int value, String description)
    {
        this.value = value;
        this.description = description;
    }
    /** Provide enumeration value
      * @return integer value */
    public int getValue()
    {
        return value;
    }

    /** Provide enumeration description
     * @return description
     */
    public String getDescription()
    {
        return description;
    }

    /** bit width for this enumeration
     * @return number of bits wide
     */
    public static int getEnumBitWidth()
    {
      return 16;
    }

    /** 
     * Provide enumeration for a given value
     * @param value integer value of interest
     * @return enumeration corresponding to numeric value
     */
    public static EmitterNameAdditional getEnumForValue(int value)
    {
       for (EmitterNameAdditional nextEnum : EmitterNameAdditional.values())
       {
          if (nextEnum.getValue() == value)
              return nextEnum;
       }
       System.out.flush(); // ensure contiguous console outputs
       System.err.println("No corresponding enumeration found for value " + value + " of enum EmitterNameAdditional");
       System.err.flush(); // ensure contiguous console outputs
       return null;
    }

    // autogenerated using string template disenumpart3_16.txt

    /** Marshal value to DataOutputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dos DataOutputStream for output
     * @throws IOException input-output error */
    public void marshal(DataOutputStream dos) throws IOException
    {
        dos.writeShort(getValue());
    }

    /** Marshal value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for output
     * @throws IOException input-output error */
    public void marshal(ByteBuffer byteBuffer) throws Exception
    {
        byteBuffer.putShort((short)getValue());
    }
    /** Unmarshal value to DataInputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dis DataInputStream for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static EmitterNameAdditional unmarshalEnum (DataInputStream dis) throws Exception
    {
        return getEnumForValue(dis.readUnsignedShort());
    } 

    /** Unmarshal enumeration value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static EmitterNameAdditional unmarshalEnum (ByteBuffer byteBuffer) throws Exception
    {
        return getEnumForValue(byteBuffer.getShort());
    }   

  /**
   * Returns size of this serialized (marshalled) object in bytes
   * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
   * @return serialized size in bytes
   */
    public int getMarshalledSize()
    {
        return 2; // 16 bits
    }
    
  /**
   * Provide name
   * @return  name
   */
    public String getName()
    {
        return name();
    }

  /**
   * Provide simple identifier
   * @return ID number and name
   */
    @Override
    public String toString()
    {
        return "EmitterNameAdditional " + getValue() + " " + name(); 
    }
}
