/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template disenumpart1withfootnote.txt

package edu.nps.moves.dis7.enumerations;

import java.nio.ByteBuffer;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import edu.nps.moves.dis7.pdus.*;

/**
 * This <code>enum</code> type is generated from XML,
 *  UID 428, marshal size 8;
 * PlatformLandCarSubcategories has 44 enumerations total.
 * Subcategories for Land Platform Category 81. Subcategory values have the general form/style in the 10's/100's digits and the size in the 1's digit. A zero in the 1's digit indicates an unspecified size.
 * @see <a href="https://docs.oracle.com/javase/tutorial/java/javaOO/enum.html">Java Tutorials: Enum Types</a>
 * @see java.lang.Enum
 */
public enum PlatformLandCarSubcategories implements SubCategory
{

    // autogenerated using string template disenumfootnotecomment.txt

    /** Other */
    // autogenerated using string template disenumpart2.txt
    OTHER (0, "Other"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Generic, No specific enumerations may be placed in this subcategory */
    // autogenerated using string template disenumpart2.txt
    GENERIC (10, "Generic"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Generic, Mini/Microcar (Tiny), ACRISS M, N */
    // autogenerated using string template disenumpart2.txt
    GENERIC_MINI_MICROCAR_TINY (11, "Generic, Mini/Microcar (Tiny)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Generic, Economy/Compact (Small), ACRISS E, H, C, D */
    // autogenerated using string template disenumpart2.txt
    GENERIC_ECONOMY_COMPACT_SMALL (12, "Generic, Economy/Compact (Small)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Generic, Intermediate/Standard (Medium), ACRISS I, J, S, R */
    // autogenerated using string template disenumpart2.txt
    GENERIC_INTERMEDIATE_STANDARD_MEDIUM (13, "Generic, Intermediate/Standard (Medium)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Generic, Full/Premium/Luxury (Large), ACRISS F, G, P, U, L, W */
    // autogenerated using string template disenumpart2.txt
    GENERIC_FULL_PREMIUM_LUXURY_LARGE (14, "Generic, Full/Premium/Luxury (Large)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Generic, Oversize, ACRISS O */
    // autogenerated using string template disenumpart2.txt
    GENERIC_OVERSIZE (15, "Generic, Oversize"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 2-Door (Coupe), No specific enumerations may be placed in this subcategory */
    // autogenerated using string template disenumpart2.txt
    _2_DOOR_COUPE (20, "2-Door (Coupe)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 2-Door (Coupe), Mini/Microcar (Tiny) */
    // autogenerated using string template disenumpart2.txt
    _2_DOOR_COUPE_MINI_MICROCAR_TINY (21, "2-Door (Coupe), Mini/Microcar (Tiny)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 2-Door (Coupe), Economy/Compact (Small) */
    // autogenerated using string template disenumpart2.txt
    _2_DOOR_COUPE_ECONOMY_COMPACT_SMALL (22, "2-Door (Coupe), Economy/Compact (Small)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 2-Door (Coupe), Intermediate/Standard (Medium) */
    // autogenerated using string template disenumpart2.txt
    _2_DOOR_COUPE_INTERMEDIATE_STANDARD_MEDIUM (23, "2-Door (Coupe), Intermediate/Standard (Medium)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 3-Door Hatchback, No specific enumerations may be placed in this subcategory */
    // autogenerated using string template disenumpart2.txt
    SUPPLEMENTAL_EMISSION_ENTITY_STATE (30, "3-Door Hatchback"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 3-Door Hatchback, Mini/Microcar (Tiny) */
    // autogenerated using string template disenumpart2.txt
    _3_DOOR_HATCHBACK_MINI_MICROCAR_TINY (31, "3-Door Hatchback, Mini/Microcar (Tiny)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 3-Door Hatchback, Economy/Compact (Small) */
    // autogenerated using string template disenumpart2.txt
    _3_DOOR_HATCHBACK_ECONOMY_COMPACT_SMALL (32, "3-Door Hatchback, Economy/Compact (Small)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 4-Door Sedan, No specific enumerations may be placed in this subcategory */
    // autogenerated using string template disenumpart2.txt
    _4_DOOR_SEDAN (40, "4-Door Sedan"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 4-Door Sedan, Mini/Microcar (Tiny) */
    // autogenerated using string template disenumpart2.txt
    _4_DOOR_SEDAN_MINI_MICROCAR_TINY (41, "4-Door Sedan, Mini/Microcar (Tiny)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 4-Door Sedan, Economy/Compact (Small) */
    // autogenerated using string template disenumpart2.txt
    _4_DOOR_SEDAN_ECONOMY_COMPACT_SMALL (42, "4-Door Sedan, Economy/Compact (Small)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 4-Door Sedan, Intermediate/Standard (Medium) */
    // autogenerated using string template disenumpart2.txt
    _4_DOOR_SEDAN_INTERMEDIATE_STANDARD_MEDIUM (43, "4-Door Sedan, Intermediate/Standard (Medium)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 4-Door Sedan, Full/Premium/Luxury (Large) */
    // autogenerated using string template disenumpart2.txt
    _4_DOOR_SEDAN_FULL_PREMIUM_LUXURY_LARGE (44, "4-Door Sedan, Full/Premium/Luxury (Large)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 4-Door Sedan, Oversize */
    // autogenerated using string template disenumpart2.txt
    _4_DOOR_SEDAN_OVERSIZE (45, "4-Door Sedan, Oversize"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 5-Door Hatchback, No specific enumerations may be placed in this subcategory */
    // autogenerated using string template disenumpart2.txt
    LIVE_ENTITY_DETONATION (50, "5-Door Hatchback"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 5-Door Hatchback, Mini/Microcar (Tiny) */
    // autogenerated using string template disenumpart2.txt
    CREATE_ENTITY_RELIABLE (51, "5-Door Hatchback, Mini/Microcar (Tiny)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 5-Door Hatchback, Economy/Compact (Small) */
    // autogenerated using string template disenumpart2.txt
    REMOVE_ENTITY_RELIABLE (52, "5-Door Hatchback, Economy/Compact (Small)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 5-Door Hatchback, Intermediate/Standard (Medium) */
    // autogenerated using string template disenumpart2.txt
    START_RESUME_RELIABLE (53, "5-Door Hatchback, Intermediate/Standard (Medium)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 5-Door Hatchback, Full/Premium/Luxury (Large) */
    // autogenerated using string template disenumpart2.txt
    STOP_FREEZE_RELIABLE (54, "5-Door Hatchback, Full/Premium/Luxury (Large)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Wagon, No specific enumerations may be placed in this subcategory */
    // autogenerated using string template disenumpart2.txt
    DATA_RELIABLE (60, "Wagon"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Wagon, Economy/Compact (Small) */
    // autogenerated using string template disenumpart2.txt
    COMMENT_RELIABLE (62, "Wagon, Economy/Compact (Small)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Wagon, Intermediate/Standard (Medium) */
    // autogenerated using string template disenumpart2.txt
    RECORD_RELIABLE (63, "Wagon, Intermediate/Standard (Medium)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Wagon, Full/Premium/Luxury (Large) */
    // autogenerated using string template disenumpart2.txt
    SET_RECORD_RELIABLE (64, "Wagon, Full/Premium/Luxury (Large)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Minivan, No specific enumerations may be placed in this subcategory */
    // autogenerated using string template disenumpart2.txt
    MINIVAN (70, "Minivan"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Limousine, No specific enumerations may be placed in this subcategory */
    // autogenerated using string template disenumpart2.txt
    LIMOUSINE (80, "Limousine"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Limousine, Full/Premium/Luxury (Large) */
    // autogenerated using string template disenumpart2.txt
    LIMOUSINE_FULL_PREMIUM_LUXURY_LARGE (84, "Limousine, Full/Premium/Luxury (Large)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Limousine, Oversize */
    // autogenerated using string template disenumpart2.txt
    LIMOUSINE_OVERSIZE (85, "Limousine, Oversize"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Sports (High Performance) */
    // autogenerated using string template disenumpart2.txt
    SPORTS_HIGH_PERFORMANCE (90, "Sports (High Performance)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Convertible, No specific enumerations may be placed in this subcategory */
    // autogenerated using string template disenumpart2.txt
    CONVERTIBLE (100, "Convertible"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Convertible, Mini/Microcar (Tiny) */
    // autogenerated using string template disenumpart2.txt
    CONVERTIBLE_MINI_MICROCAR_TINY (101, "Convertible, Mini/Microcar (Tiny)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Convertible, Economy/Compact (Small) */
    // autogenerated using string template disenumpart2.txt
    CONVERTIBLE_ECONOMY_COMPACT_SMALL (102, "Convertible, Economy/Compact (Small)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Convertible, Intermediate/Standard (Medium) */
    // autogenerated using string template disenumpart2.txt
    CONVERTIBLE_INTERMEDIATE_STANDARD_MEDIUM (103, "Convertible, Intermediate/Standard (Medium)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Convertible, Full/Premium/Luxury (Large) */
    // autogenerated using string template disenumpart2.txt
    CONVERTIBLE_FULL_PREMIUM_LUXURY_LARGE (104, "Convertible, Full/Premium/Luxury (Large)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Sports Utility Vehicle (SUV), No specific enumerations may be placed in this subcategory */
    // autogenerated using string template disenumpart2.txt
    SPORTS_UTILITY_VEHICLE_SUV (110, "Sports Utility Vehicle (SUV)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Sports Utility Vehicle (SUV), Economy/Compact (Small) */
    // autogenerated using string template disenumpart2.txt
    SPORTS_UTILITY_VEHICLE_SUV_ECONOMY_COMPACT_SMALL (112, "Sports Utility Vehicle (SUV), Economy/Compact (Small)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Sports Utility Vehicle (SUV), Intermediate/Standard (Medium) */
    // autogenerated using string template disenumpart2.txt
    SPORTS_UTILITY_VEHICLE_SUV_INTERMEDIATE_STANDARD_MEDIUM (113, "Sports Utility Vehicle (SUV), Intermediate/Standard (Medium)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Sports Utility Vehicle (SUV), Full/Premium/Luxury (Large) */
    // autogenerated using string template disenumpart2.txt
    SPORTS_UTILITY_VEHICLE_SUV_FULL_PREMIUM_LUXURY_LARGE (114, "Sports Utility Vehicle (SUV), Full/Premium/Luxury (Large)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Sports Utility Vehicle (SUV), Oversize */
    // autogenerated using string template disenumpart2.txt
    SPORTS_UTILITY_VEHICLE_SUV_OVERSIZE (115, "Sports Utility Vehicle (SUV), Oversize");

    // autogenerated using string template disenumpart25.txt

    private int value;
    private final String description;

    /** Constructor */
    PlatformLandCarSubcategories(int value, String description)
    {
        this.value = value;
        this.description = description;
    }
    /** Provide enumeration value
      * @return integer value */
    public int getValue()
    {
        return value;
    }

    /** Provide enumeration description
     * @return description
     */
    public String getDescription()
    {
        return description;
    }

    /** bit width for this enumeration
     * @return number of bits wide
     */
    public static int getEnumBitWidth()
    {
      return 8;
    }

    /** 
     * Provide enumeration for a given value
     * @param value integer value of interest
     * @return enumeration corresponding to numeric value
     */
    public static PlatformLandCarSubcategories getEnumForValue(int value)
    {
       for (PlatformLandCarSubcategories nextEnum : PlatformLandCarSubcategories.values())
       {
          if (nextEnum.getValue() == value)
              return nextEnum;
       }
       System.out.flush(); // ensure contiguous console outputs
       System.err.println("No corresponding enumeration found for value " + value + " of enum PlatformLandCarSubcategories");
       System.err.flush(); // ensure contiguous console outputs
       return null;
    }

    // autogenerated using string template disenumpart3_8.txt

    private boolean TRACE = false;

    /** Set tracing on/off for this object 
     * @param value whether tracing is on or off */
    public void setTRACE (boolean value)
    {
        TRACE = value;
    }

    /** Whether tracing is on or off for this object
     * @return whether tracing is on or off */
    public boolean getTRACE ()
    {
        return TRACE;
    }

    /** Marshal value to DataOutputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dos DataOutputStream for output
     * @throws IOException input-output error */
    public void marshal(DataOutputStream dos) throws IOException
    {
        dos.writeByte(getValue());
    }
    
    /** Marshal value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for output
     * @throws IOException input-output error */
    public void marshal(ByteBuffer byteBuffer) throws Exception
    {
        byteBuffer.put((byte)getValue());
    }

    /** Unmarshal value to DataInputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dis DataInputStream for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static PlatformLandCarSubcategories unmarshalEnum (DataInputStream dis) throws Exception
    {
       /* try {
            value = dis.readUnsignedByte();
        }
        catch(IOException ex) {
            showError(ex);
        } */
        
        return getEnumForValue(dis.readByte());
    } 

    /** Unmarshal enumeration value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static PlatformLandCarSubcategories unmarshalEnum(ByteBuffer byteBuffer) throws Exception
    {
        /*
        try {
            value = (int)byteBuffer.get();
        }
        catch(Exception ex) {
            showError(ex);
        }
        */
        return getEnumForValue(byteBuffer.get());
    }

  /**
   * Returns size of this serialized (marshalled) object in bytes
   * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
   * @return serialized size in bytes
   */
    public int getMarshalledSize()
    {
        return 1; // 8 bits
    }
  /**
   * Provide name
   * @return  name
   */
    public String getName()
    {
        return name();
    }

    
  /**
   * Provide simple identifier
   * @return class name, value and name
   */
    @Override
    public String toString()
    {
        String padding = new String();
        if (this.getClass().getName().endsWith("DisPduType") && (getValue() < 10))
            padding = "0"; // leading zero for column spacing
        String result = this.getClass().getSimpleName() + " " + padding + getValue() + " " + name();
        if (getTRACE())
            System.out.println ("*** enum " + this.getClass().getSimpleName() + " name=" + name() + ", value=" + getValue() + "; " +
               result); // debug diagnostic
        return result;
    }
}
