/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template disenumpart1withfootnote.txt

package edu.nps.moves.dis7.enumerations;

import java.nio.ByteBuffer;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import edu.nps.moves.dis7.pdus.*;

/**
 * This <code>enum</code> type is generated from XML,
 *  UID 436, marshal size 8;
 * PlatformLandTrailerSubcategories has 28 enumerations total.
 * Subcategories for Land Platform Category 89
 * @see <a href="https://docs.oracle.com/javase/tutorial/java/javaOO/enum.html">Java Tutorials: Enum Types</a>
 * @see java.lang.Enum
 */
public enum PlatformLandTrailerSubcategories implements SubCategory
{

    // autogenerated using string template disenumfootnotecomment.txt

    /** Other */
    // autogenerated using string template disenumpart2.txt
    OTHER (0, "Other"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Flatbed */
    // autogenerated using string template disenumpart2.txt
    TRAILER_FLATBED (1, "Trailer, Flatbed"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Container */
    // autogenerated using string template disenumpart2.txt
    TRAILER_CONTAINER (2, "Trailer, Container"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Container, Refrigerated */
    // autogenerated using string template disenumpart2.txt
    TRAILER_CONTAINER_REFRIGERATED (3, "Trailer, Container, Refrigerated"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Double */
    // autogenerated using string template disenumpart2.txt
    TRAILER_DOUBLE (4, "Trailer, Double"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Auto Transport */
    // autogenerated using string template disenumpart2.txt
    TRAILER_AUTO_TRANSPORT (5, "Trailer, Auto Transport"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Articulated */
    // autogenerated using string template disenumpart2.txt
    TRAILER_ARTICULATED (6, "Trailer, Articulated"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Tanker */
    // autogenerated using string template disenumpart2.txt
    TRAILER_TANKER (7, "Trailer, Tanker"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Tanker, Small */
    // autogenerated using string template disenumpart2.txt
    TRAILER_TANKER_SMALL (8, "Trailer, Tanker, Small"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Tanker, Large */
    // autogenerated using string template disenumpart2.txt
    TRAILER_TANKER_LARGE (9, "Trailer, Tanker, Large"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Tanker, Gasoline */
    // autogenerated using string template disenumpart2.txt
    TRAILER_TANKER_GASOLINE (10, "Trailer, Tanker, Gasoline"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Tanker, Milk */
    // autogenerated using string template disenumpart2.txt
    TRAILER_TANKER_MILK (11, "Trailer, Tanker, Milk"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Tanker, Water */
    // autogenerated using string template disenumpart2.txt
    TRAILER_TANKER_WATER (12, "Trailer, Tanker, Water"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Tanker, Septic */
    // autogenerated using string template disenumpart2.txt
    TRAILER_TANKER_SEPTIC (13, "Trailer, Tanker, Septic"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Boat */
    // autogenerated using string template disenumpart2.txt
    TRAILER_BOAT (14, "Trailer, Boat"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Boat, Small */
    // autogenerated using string template disenumpart2.txt
    TRAILER_BOAT_SMALL (15, "Trailer, Boat, Small"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Boat, Large */
    // autogenerated using string template disenumpart2.txt
    TRAILER_BOAT_LARGE (16, "Trailer, Boat, Large"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Recreational */
    // autogenerated using string template disenumpart2.txt
    TRAILER_RECREATIONAL (17, "Trailer, Recreational"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Recreational, Conventional */
    // autogenerated using string template disenumpart2.txt
    TRAILER_RECREATIONAL_CONVENTIONAL (18, "Trailer, Recreational, Conventional"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Recreational, Travel Expandable */
    // autogenerated using string template disenumpart2.txt
    TRAILER_RECREATIONAL_TRAVEL_EXPANDABLE (19, "Trailer, Recreational, Travel Expandable"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Recreational, Fifth Wheel Travel */
    // autogenerated using string template disenumpart2.txt
    TRAILER_RECREATIONAL_FIFTH_WHEEL_TRAVEL (20, "Trailer, Recreational, Fifth Wheel Travel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Recreational, Folding Camping */
    // autogenerated using string template disenumpart2.txt
    TRAILER_RECREATIONAL_FOLDING_CAMPING (21, "Trailer, Recreational, Folding Camping"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Recreational, Truck Camper */
    // autogenerated using string template disenumpart2.txt
    TRAILER_RECREATIONAL_TRUCK_CAMPER (22, "Trailer, Recreational, Truck Camper"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Aerostat Mooring Platform */
    // autogenerated using string template disenumpart2.txt
    TRAILER_AEROSTAT_MOORING_PLATFORM (23, "Trailer, Aerostat Mooring Platform"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Household */
    // autogenerated using string template disenumpart2.txt
    TRAILER_HOUSEHOLD (24, "Trailer, Household"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Kitchen */
    // autogenerated using string template disenumpart2.txt
    TRAILER_KITCHEN (25, "Trailer, Kitchen"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, UltraLight Aircraft */
    // autogenerated using string template disenumpart2.txt
    TRAILER_ULTRALIGHT_AIRCRAFT (26, "Trailer, UltraLight Aircraft"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trailer, Heavy Equipment */
    // autogenerated using string template disenumpart2.txt
    TRAILER_HEAVY_EQUIPMENT (27, "Trailer, Heavy Equipment");

    // autogenerated using string template disenumpart25.txt

    private int value;
    private final String description;

    /** Constructor */
    PlatformLandTrailerSubcategories(int value, String description)
    {
        this.value = value;
        this.description = description;
    }
    /** Provide enumeration value
      * @return integer value */
    public int getValue()
    {
        return value;
    }

    /** Provide enumeration description
     * @return description
     */
    public String getDescription()
    {
        return description;
    }

    /** bit width for this enumeration
     * @return number of bits wide
     */
    public static int getEnumBitWidth()
    {
      return 8;
    }

    /** 
     * Provide enumeration for a given value
     * @param value integer value of interest
     * @return enumeration corresponding to numeric value
     */
    public static PlatformLandTrailerSubcategories getEnumForValue(int value)
    {
       for (PlatformLandTrailerSubcategories nextEnum : PlatformLandTrailerSubcategories.values())
       {
          if (nextEnum.getValue() == value)
              return nextEnum;
       }
       System.out.flush(); // ensure contiguous console outputs
       System.err.println("No corresponding enumeration found for value " + value + " of enum PlatformLandTrailerSubcategories");
       System.err.flush(); // ensure contiguous console outputs
       return null;
    }

    // autogenerated using string template disenumpart3_8.txt

    private boolean TRACE = false;

    /** Set tracing on/off for this object 
     * @param value whether tracing is on or off */
    public void setTRACE (boolean value)
    {
        TRACE = value;
    }

    /** Whether tracing is on or off for this object
     * @return whether tracing is on or off */
    public boolean getTRACE ()
    {
        return TRACE;
    }

    /** Marshal value to DataOutputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dos DataOutputStream for output
     * @throws IOException input-output error */
    public void marshal(DataOutputStream dos) throws IOException
    {
        dos.writeByte(getValue());
    }
    
    /** Marshal value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for output
     * @throws IOException input-output error */
    public void marshal(ByteBuffer byteBuffer) throws Exception
    {
        byteBuffer.put((byte)getValue());
    }

    /** Unmarshal value to DataInputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dis DataInputStream for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static PlatformLandTrailerSubcategories unmarshalEnum (DataInputStream dis) throws Exception
    {
       /* try {
            value = dis.readUnsignedByte();
        }
        catch(IOException ex) {
            showError(ex);
        } */
        
        return getEnumForValue(dis.readByte());
    } 

    /** Unmarshal enumeration value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static PlatformLandTrailerSubcategories unmarshalEnum(ByteBuffer byteBuffer) throws Exception
    {
        /*
        try {
            value = (int)byteBuffer.get();
        }
        catch(Exception ex) {
            showError(ex);
        }
        */
        return getEnumForValue(byteBuffer.get());
    }

  /**
   * Returns size of this serialized (marshalled) object in bytes
   * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
   * @return serialized size in bytes
   */
    public int getMarshalledSize()
    {
        return 1; // 8 bits
    }
  /**
   * Provide name
   * @return  name
   */
    public String getName()
    {
        return name();
    }

    
  /**
   * Provide simple identifier
   * @return class name, value and name
   */
    @Override
    public String toString()
    {
        String padding = new String();
        if (this.getClass().getName().endsWith("DisPduType") && (getValue() < 10))
            padding = "0"; // leading zero for column spacing
        String result = this.getClass().getSimpleName() + " " + padding + getValue() + " " + name();
        if (getTRACE())
            System.out.println ("*** enum " + this.getClass().getSimpleName() + " name=" + name() + ", value=" + getValue() + "; " +
               result); // debug diagnostic
        return result;
    }
}
