/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template disenumpart1.txt

package edu.nps.moves.dis7.enumerations;

import java.nio.ByteBuffer;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import edu.nps.moves.dis7.pdus.*;

/**
 * This <code>enum</code> type is generated from XML,
 *  UID 163,
 * marshal size 16;
 * TransmitterModulationTypeSystem has 14 enumerations total.
 * @see <a href="https://docs.oracle.com/javase/tutorial/java/javaOO/enum.html">Java Tutorials: Enum Types</a>
 * @see java.lang.Enum
 */
public enum TransmitterModulationTypeSystem 
{
    // autogenerated using string template disenumfootnotecomment.txt

    /** Other */
    // autogenerated using string template disenumpart2.txt
    OTHER (0, "Other"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Generic Radio or Simple Intercom */
    // autogenerated using string template disenumpart2.txt
    GENERIC_RADIO_OR_SIMPLE_INTERCOM (1, "Generic Radio or Simple Intercom"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** HAVE QUICK I */
    // autogenerated using string template disenumpart2.txt
    HAVE_QUICK_I (2, "HAVE QUICK I"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** HAVE QUICK II */
    // autogenerated using string template disenumpart2.txt
    HAVE_QUICK_II (3, "HAVE QUICK II"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SATURN, Formerly HAVE QUICK IIA (HQIIA) */
    // autogenerated using string template disenumpart2.txt
    SATURN (4, "SATURN"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SINCGARS */
    // autogenerated using string template disenumpart2.txt
    SINCGARS (5, "SINCGARS"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** CCTT SINCGARS */
    // autogenerated using string template disenumpart2.txt
    CCTT_SINCGARS (6, "CCTT SINCGARS"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** EPLRS (Enhanced Position Location Reporting System) */
    // autogenerated using string template disenumpart2.txt
    EPLRS_ENHANCED_POSITION_LOCATION_REPORTING_SYSTEM (7, "EPLRS (Enhanced Position Location Reporting System)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** JTIDS/MIDS, See SISO-STD-002, Standard for: Link 16 Simulations */
    // autogenerated using string template disenumpart2.txt
    JTIDS_MIDS (8, "JTIDS/MIDS"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Link 11, See SISO-STD-005 DRAFT, Standard for: Link 11/11B Simulation */
    // autogenerated using string template disenumpart2.txt
    LINK_11 (9, "Link 11"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Link 11B, See SISO-STD-005 DRAFT, Standard for: Link 11/11B Simulation */
    // autogenerated using string template disenumpart2.txt
    LINK_11B (10, "Link 11B"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** L-Band SATCOM */
    // autogenerated using string template disenumpart2.txt
    L_BAND_SATCOM (11, "L-Band SATCOM"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Enhanced SINCGARS 7.3 */
    // autogenerated using string template disenumpart2.txt
    ENHANCED_SINCGARS_73 (12, "Enhanced SINCGARS 7.3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Navigation Aid */
    // autogenerated using string template disenumpart2.txt
    NAVIGATION_AID (13, "Navigation Aid");

    // autogenerated using string template disenumpart25.txt

    private int value;
    private final String description;

    /** Constructor */
    TransmitterModulationTypeSystem(int value, String description)
    {
        this.value = value;
        this.description = description;
    }
    /** Provide enumeration value
      * @return integer value */
    public int getValue()
    {
        return value;
    }

    /** Provide enumeration description
     * @return description
     */
    public String getDescription()
    {
        return description;
    }

    /** bit width for this enumeration
     * @return number of bits wide
     */
    public static int getEnumBitWidth()
    {
      return 16;
    }

    /** 
     * Provide enumeration for a given value
     * @param value integer value of interest
     * @return enumeration corresponding to numeric value
     */
    public static TransmitterModulationTypeSystem getEnumForValue(int value)
    {
       for (TransmitterModulationTypeSystem nextEnum : TransmitterModulationTypeSystem.values())
       {
          if (nextEnum.getValue() == value)
              return nextEnum;
       }
       System.out.flush(); // ensure contiguous console outputs
       System.err.println("No corresponding enumeration found for value " + value + " of enum TransmitterModulationTypeSystem");
       System.err.flush(); // ensure contiguous console outputs
       return null;
    }

    // autogenerated using string template disenumpart3_16.txt

    /** Marshal value to DataOutputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dos DataOutputStream for output
     * @throws IOException input-output error */
    public void marshal(DataOutputStream dos) throws IOException
    {
        dos.writeShort(getValue());
    }

    /** Marshal value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for output
     * @throws IOException input-output error */
    public void marshal(ByteBuffer byteBuffer) throws Exception
    {
        byteBuffer.putShort((short)getValue());
    }
    /** Unmarshal value to DataInputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dis DataInputStream for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static TransmitterModulationTypeSystem unmarshalEnum (DataInputStream dis) throws Exception
    {
        return getEnumForValue(dis.readUnsignedShort());
    } 

    /** Unmarshal enumeration value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static TransmitterModulationTypeSystem unmarshalEnum (ByteBuffer byteBuffer) throws Exception
    {
        return getEnumForValue(byteBuffer.getShort());
    }   

  /**
   * Returns size of this serialized (marshalled) object in bytes
   * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
   * @return serialized size in bytes
   */
    public int getMarshalledSize()
    {
        return 2; // 16 bits
    }
    
  /**
   * Provide name
   * @return  name
   */
    public String getName()
    {
        return name();
    }

  /**
   * Provide simple identifier
   * @return ID number and name
   */
    @Override
    public String toString()
    {
        return "TransmitterModulationTypeSystem " + getValue() + " " + name(); 
    }
}
